﻿module("VOICE")

distances = {}

distances.patterns = {
	L"0_point",
	L"1",
	L"1-1_point-1",
	L"1-1_pt-1",
	L"10",
	L"100",
	L"1000",
	L"100_and",
	L"11",
	L"12",
	L"13",
	L"14",
	L"15",
	L"16",
	L"17",
	L"18",
	L"19",
	L"2",
	L"2-1_point",
	L"2-1_pt",
	L"20",
	L"200",
	L"200_and",
	L"20_and",
	L"3",
	L"30",
	L"300",
	L"300_and",
	L"30_and",
	L"3_point",
	L"3_pt",
	L"4",
	L"40",
	L"400",
	L"400_and",
	L"40_and",
	L"4_point",
	L"4_pt",
	L"5",
	L"50",
	L"500",
	L"500_and",
	L"50_and",
	L"5_point",
	L"5_pt",
	L"6",
	L"60",
	L"600",
	L"600_and",
	L"60_and",
	L"6_point",
	L"6_pt",
	L"7",
	L"70",
	L"700",
	L"700_and",
	L"70_and",
	L"7_point",
	L"7_pt",
	L"8",
	L"80",
	L"800",
	L"800_and",
	L"80_and",
	L"8_point",
	L"8_pt",
	L"9",
	L"90",
	L"900",
	L"900_and",
	L"90_and",
	L"9_point",
	L"9_pt",
	L"Drive-1",
	L"Drive-10",
	L"Drive-100",
	L"Drive-2",
	L"Drive-3",
	L"Drive-4",
	L"Drive-40",
	L"Drive-5",
	L"Drive-6",
	L"Drive-7",
	L"Drive-8",
	L"Drive-9",
	L"Drive-m",
	L"Drive-n",
	L"The_trip_is_more_than-1",
	L"The_trip_is_more_than-10",
	L"The_trip_is_more_than-100",
	L"The_trip_is_more_than-2",
	L"The_trip_is_more_than-3",
	L"The_trip_is_more_than-4",
	L"The_trip_is_more_than-40",
	L"The_trip_is_more_than-5",
	L"The_trip_is_more_than-6",
	L"The_trip_is_more_than-7",
	L"The_trip_is_more_than-8",
	L"The_trip_is_more_than-9",
	L"The_trip_is_more_than-n",
	L"a_quarter_mile",
	L"a_quarter_mile-e",
	L"after-1",
	L"after-10",
	L"after-100",
	L"after-2",
	L"after-3",
	L"after-4",
	L"after-40",
	L"after-5",
	L"after-6",
	L"after-7",
	L"after-8",
	L"after-9",
	L"after-b-1",
	L"after-b-10",
	L"after-b-100",
	L"after-b-2",
	L"after-b-3",
	L"after-b-4",
	L"after-b-40",
	L"after-b-5",
	L"after-b-6",
	L"after-b-7",
	L"after-b-8",
	L"after-b-9",
	L"after-b-m",
	L"after-b-n",
	L"after-m",
	L"after-n",
	L"and_1",
	L"and_10",
	L"and_2",
	L"and_20",
	L"and_3",
	L"and_30",
	L"and_4",
	L"and_40",
	L"and_5",
	L"and_50",
	L"and_6",
	L"and_60",
	L"and_7",
	L"and_70",
	L"and_8",
	L"and_80",
	L"and_9",
	L"and_90",
	L"feet-1",
	L"feet-1-e",
	L"feet-100",
	L"feet-100-e",
	L"feet-200",
	L"feet-200-e",
	L"feet-340",
	L"feet-340-e",
	L"feet-50",
	L"feet-50-e",
	L"feet-56789",
	L"feet-56789-e",
	L"half_a_mile",
	L"half_a_mile-e",
	L"kilometer",
	L"kilometer-1",
	L"kilometer-1-1",
	L"kilometer-1-1-e",
	L"kilometer-1-e",
	L"kilometer-e",
	L"kilometers-1-2",
	L"kilometers-1-2-e",
	L"kilometers-1-34",
	L"kilometers-1-34-e",
	L"kilometers-11",
	L"kilometers-11-e",
	L"kilometers-200",
	L"kilometers-200-e",
	L"kilometers-340",
	L"kilometers-340-e",
	L"kilometers-40",
	L"kilometers-40-e",
	L"kilometers-500",
	L"kilometers-500-e",
	L"kilometers-56",
	L"kilometers-56-e",
	L"kilometers-5678",
	L"kilometers-5678-e",
	L"kilometers-78",
	L"kilometers-78-e",
	L"kilometers-9",
	L"kilometers-9-e",
	L"kilometers-91",
	L"kilometers-91-e",
	L"meters-10",
	L"meters-10-e",
	L"meters-200",
	L"meters-200-e",
	L"meters-300",
	L"meters-300-e",
	L"meters-40",
	L"meters-40-e",
	L"meters-50",
	L"meters-50-e",
	L"meters-500",
	L"meters-500-e",
	L"meters-90",
	L"meters-90-e",
	L"mile",
	L"mile-e",
	L"miles-1",
	L"miles-1-1",
	L"miles-1-1-e",
	L"miles-1-2",
	L"miles-1-2-e",
	L"miles-1-34",
	L"miles-1-34-e",
	L"miles-1-e",
	L"miles-11",
	L"miles-11-e",
	L"miles-200",
	L"miles-200-e",
	L"miles-340",
	L"miles-340-e",
	L"miles-40",
	L"miles-40-e",
	L"miles-500",
	L"miles-500-e",
	L"miles-56",
	L"miles-56-e",
	L"miles-5678",
	L"miles-5678-e",
	L"miles-78",
	L"miles-78-e",
	L"miles-9",
	L"miles-9-e",
	L"miles-91",
	L"miles-91-e",
	L"more_than",
	L"three_quarters_of_a_mile",
	L"three_quarters_of_a_mile-e",
	L"yards-10",
	L"yards-10-e",
	L"yards-200",
	L"yards-200-e",
	L"yards-300",
	L"yards-300-e",
	L"yards-40",
	L"yards-40-e",
	L"yards-50",
	L"yards-50-e",
	L"yards-90",
	L"yards-90-e",
}

distances.meters = {
	10, "\116\5\129\65\0\104\5\129\65\0\104\5\129\66\0\75\5\129\66\0\89\5\129\66\0",
	20, "\118\21\129\65\0\106\21\129\65\0\106\21\129\66\0\77\21\129\66\0\91\21\129\66\0",
	30, "\119\26\129\65\0\107\26\129\65\0\107\26\129\66\0\78\26\129\66\0\92\26\129\66\0",
	40, "\121\33\129\71\0\109\33\129\71\0\109\33\129\72\0\80\33\129\72\0\94\33\129\72\0",
	50, "\122\40\129\73\0\110\40\129\73\0\110\40\129\74\0\81\40\129\74\0\95\40\129\74\0",
	60, "\123\47\129\73\0\111\47\129\73\0\111\47\129\74\0\82\47\129\74\0\96\47\129\74\0",
	70, "\124\54\129\73\0\112\54\129\73\0\112\54\129\74\0\83\54\129\74\0\97\54\129\74\0",
	80, "\125\61\129\73\0\113\61\129\73\0\113\61\129\74\0\84\61\129\74\0\98\61\129\74\0",
	90, "\126\68\129\77\0\114\68\129\77\0\114\68\129\78\0\85\68\129\78\0\99\68\129\78\0",
	100, "\117\6\129\77\0\105\6\129\77\0\105\6\129\78\0\76\6\129\78\0\90\6\129\78\0",
	110, "\117\8\129\4\129\65\0\105\8\129\4\129\65\0\105\8\129\4\129\66\0\76\8\129\4\129\66\0\90\8\129\4\129\66\0",
	120, "\117\8\129\6\129\65\0\105\8\129\6\129\65\0\105\8\129\6\129\66\0\76\8\129\6\129\66\0\90\8\129\6\129\66\0",
	130, "\117\8\129\8\129\65\0\105\8\129\8\129\65\0\105\8\129\8\129\66\0\76\8\129\8\129\66\0\90\8\129\8\129\66\0",
	140, "\117\8\129\10\129\71\0\105\8\129\10\129\71\0\105\8\129\10\129\72\0\76\8\129\10\129\72\0\90\8\129\10\129\72\0",
	150, "\117\8\129\12\129\73\0\105\8\129\12\129\73\0\105\8\129\12\129\74\0\76\8\129\12\129\74\0\90\8\129\12\129\74\0",
	160, "\117\8\129\14\129\73\0\105\8\129\14\129\73\0\105\8\129\14\129\74\0\76\8\129\14\129\74\0\90\8\129\14\129\74\0",
	170, "\117\8\129\16\129\73\0\105\8\129\16\129\73\0\105\8\129\16\129\74\0\76\8\129\16\129\74\0\90\8\129\16\129\74\0",
	180, "\117\8\129\18\129\73\0\105\8\129\18\129\73\0\105\8\129\18\129\74\0\76\8\129\18\129\74\0\90\8\129\18\129\74\0",
	190, "\117\8\129\20\129\77\0\105\8\129\20\129\77\0\105\8\129\20\129\78\0\76\8\129\20\129\78\0\90\8\129\20\129\78\0",
	200, "\118\22\129\67\0\106\22\129\67\0\106\22\129\68\0\77\22\129\68\0\91\22\129\68\0",
	210, "\118\23\129\4\129\65\0\106\23\129\4\129\65\0\106\23\129\4\129\66\0\77\23\129\4\129\66\0\91\23\129\4\129\66\0",
	220, "\118\23\129\6\129\65\0\106\23\129\6\129\65\0\106\23\129\6\129\66\0\77\23\129\6\129\66\0\91\23\129\6\129\66\0",
	230, "\118\23\129\8\129\65\0\106\23\129\8\129\65\0\106\23\129\8\129\66\0\77\23\129\8\129\66\0\91\23\129\8\129\66\0",
	240, "\118\23\129\10\129\71\0\106\23\129\10\129\71\0\106\23\129\10\129\72\0\77\23\129\10\129\72\0\91\23\129\10\129\72\0",
	250, "\118\23\129\12\129\73\0\106\23\129\12\129\73\0\106\23\129\12\129\74\0\77\23\129\12\129\74\0\91\23\129\12\129\74\0",
	260, "\118\23\129\14\129\73\0\106\23\129\14\129\73\0\106\23\129\14\129\74\0\77\23\129\14\129\74\0\91\23\129\14\129\74\0",
	270, "\118\23\129\16\129\73\0\106\23\129\16\129\73\0\106\23\129\16\129\74\0\77\23\129\16\129\74\0\91\23\129\16\129\74\0",
	280, "\118\23\129\18\129\73\0\106\23\129\18\129\73\0\106\23\129\18\129\74\0\77\23\129\18\129\74\0\91\23\129\18\129\74\0",
	290, "\118\23\129\20\129\77\0\106\23\129\20\129\77\0\106\23\129\20\129\78\0\77\23\129\20\129\78\0\91\23\129\20\129\78\0",
	300, "\119\27\129\69\0\107\27\129\69\0\107\27\129\70\0\78\27\129\70\0\92\27\129\70\0",
	310, "\119\28\129\4\129\65\0\107\28\129\4\129\65\0\107\28\129\4\129\66\0\78\28\129\4\129\66\0\92\28\129\4\129\66\0",
	320, "\119\28\129\6\129\65\0\107\28\129\6\129\65\0\107\28\129\6\129\66\0\78\28\129\6\129\66\0\92\28\129\6\129\66\0",
	330, "\119\28\129\8\129\65\0\107\28\129\8\129\65\0\107\28\129\8\129\66\0\78\28\129\8\129\66\0\92\28\129\8\129\66\0",
	340, "\119\28\129\10\129\71\0\107\28\129\10\129\71\0\107\28\129\10\129\72\0\78\28\129\10\129\72\0\92\28\129\10\129\72\0",
	350, "\119\28\129\12\129\73\0\107\28\129\12\129\73\0\107\28\129\12\129\74\0\78\28\129\12\129\74\0\92\28\129\12\129\74\0",
	360, "\119\28\129\14\129\73\0\107\28\129\14\129\73\0\107\28\129\14\129\74\0\78\28\129\14\129\74\0\92\28\129\14\129\74\0",
	370, "\119\28\129\16\129\73\0\107\28\129\16\129\73\0\107\28\129\16\129\74\0\78\28\129\16\129\74\0\92\28\129\16\129\74\0",
	380, "\119\28\129\18\129\73\0\107\28\129\18\129\73\0\107\28\129\18\129\74\0\78\28\129\18\129\74\0\92\28\129\18\129\74\0",
	390, "\119\28\129\20\129\77\0\107\28\129\20\129\77\0\107\28\129\20\129\78\0\78\28\129\20\129\78\0\92\28\129\20\129\78\0",
	400, "\120\34\129\69\0\109\34\129\69\0\109\34\129\70\0\79\34\129\70\0\93\34\129\70\0",
	410, "\120\35\129\4\129\65\0\109\35\129\4\129\65\0\109\35\129\4\129\66\0\79\35\129\4\129\66\0\93\35\129\4\129\66\0",
	420, "\120\35\129\6\129\65\0\109\35\129\6\129\65\0\109\35\129\6\129\66\0\79\35\129\6\129\66\0\93\35\129\6\129\66\0",
	430, "\120\35\129\8\129\65\0\109\35\129\8\129\65\0\109\35\129\8\129\66\0\79\35\129\8\129\66\0\93\35\129\8\129\66\0",
	440, "\120\35\129\10\129\71\0\109\35\129\10\129\71\0\109\35\129\10\129\72\0\79\35\129\10\129\72\0\93\35\129\10\129\72\0",
	450, "\120\35\129\12\129\73\0\109\35\129\12\129\73\0\109\35\129\12\129\74\0\79\35\129\12\129\74\0\93\35\129\12\129\74\0",
	460, "\120\35\129\14\129\73\0\109\35\129\14\129\73\0\109\35\129\14\129\74\0\79\35\129\14\129\74\0\93\35\129\14\129\74\0",
	470, "\120\35\129\16\129\73\0\109\35\129\16\129\73\0\109\35\129\16\129\74\0\79\35\129\16\129\74\0\93\35\129\16\129\74\0",
	480, "\120\35\129\18\129\73\0\109\35\129\18\129\73\0\109\35\129\18\129\74\0\79\35\129\18\129\74\0\93\35\129\18\129\74\0",
	490, "\120\35\129\20\129\77\0\109\35\129\20\129\77\0\109\35\129\20\129\78\0\79\35\129\20\129\78\0\93\35\129\20\129\78\0",
	500, "\122\41\129\75\0\110\41\129\75\0\110\41\129\76\0\81\41\129\76\0\95\41\129\76\0",
	510, "\122\42\129\4\129\65\0\110\42\129\4\129\65\0\110\42\129\4\129\66\0\81\42\129\4\129\66\0\95\42\129\4\129\66\0",
	520, "\122\42\129\6\129\65\0\110\42\129\6\129\65\0\110\42\129\6\129\66\0\81\42\129\6\129\66\0\95\42\129\6\129\66\0",
	530, "\122\42\129\8\129\65\0\110\42\129\8\129\65\0\110\42\129\8\129\66\0\81\42\129\8\129\66\0\95\42\129\8\129\66\0",
	540, "\122\42\129\10\129\71\0\110\42\129\10\129\71\0\110\42\129\10\129\72\0\81\42\129\10\129\72\0\95\42\129\10\129\72\0",
	550, "\122\42\129\12\129\73\0\110\42\129\12\129\73\0\110\42\129\12\129\74\0\81\42\129\12\129\74\0\95\42\129\12\129\74\0",
	560, "\122\42\129\14\129\73\0\110\42\129\14\129\73\0\110\42\129\14\129\74\0\81\42\129\14\129\74\0\95\42\129\14\129\74\0",
	570, "\122\42\129\16\129\73\0\110\42\129\16\129\73\0\110\42\129\16\129\74\0\81\42\129\16\129\74\0\95\42\129\16\129\74\0",
	580, "\122\42\129\18\129\73\0\110\42\129\18\129\73\0\110\42\129\18\129\74\0\81\42\129\18\129\74\0\95\42\129\18\129\74\0",
	590, "\122\42\129\20\129\77\0\110\42\129\20\129\77\0\110\42\129\20\129\78\0\81\42\129\20\129\78\0\95\42\129\20\129\78\0",
	600, "\123\48\129\75\0\111\48\129\75\0\111\48\129\76\0\82\48\129\76\0\96\48\129\76\0",
	610, "\123\49\129\4\129\65\0\111\49\129\4\129\65\0\111\49\129\4\129\66\0\82\49\129\4\129\66\0\96\49\129\4\129\66\0",
	620, "\123\49\129\6\129\65\0\111\49\129\6\129\65\0\111\49\129\6\129\66\0\82\49\129\6\129\66\0\96\49\129\6\129\66\0",
	630, "\123\49\129\8\129\65\0\111\49\129\8\129\65\0\111\49\129\8\129\66\0\82\49\129\8\129\66\0\96\49\129\8\129\66\0",
	640, "\123\49\129\10\129\71\0\111\49\129\10\129\71\0\111\49\129\10\129\72\0\82\49\129\10\129\72\0\96\49\129\10\129\72\0",
	650, "\123\49\129\12\129\73\0\111\49\129\12\129\73\0\111\49\129\12\129\74\0\82\49\129\12\129\74\0\96\49\129\12\129\74\0",
	660, "\123\49\129\14\129\73\0\111\49\129\14\129\73\0\111\49\129\14\129\74\0\82\49\129\14\129\74\0\96\49\129\14\129\74\0",
	670, "\123\49\129\16\129\73\0\111\49\129\16\129\73\0\111\49\129\16\129\74\0\82\49\129\16\129\74\0\96\49\129\16\129\74\0",
	680, "\123\49\129\18\129\73\0\111\49\129\18\129\73\0\111\49\129\18\129\74\0\82\49\129\18\129\74\0\96\49\129\18\129\74\0",
	690, "\123\49\129\20\129\77\0\111\49\129\20\129\77\0\111\49\129\20\129\78\0\82\49\129\20\129\78\0\96\49\129\20\129\78\0",
	700, "\124\55\129\75\0\112\55\129\75\0\112\55\129\76\0\83\55\129\76\0\97\55\129\76\0",
	710, "\124\56\129\4\129\65\0\112\56\129\4\129\65\0\112\56\129\4\129\66\0\83\56\129\4\129\66\0\97\56\129\4\129\66\0",
	720, "\124\56\129\6\129\65\0\112\56\129\6\129\65\0\112\56\129\6\129\66\0\83\56\129\6\129\66\0\97\56\129\6\129\66\0",
	730, "\124\56\129\8\129\65\0\112\56\129\8\129\65\0\112\56\129\8\129\66\0\83\56\129\8\129\66\0\97\56\129\8\129\66\0",
	740, "\124\56\129\10\129\71\0\112\56\129\10\129\71\0\112\56\129\10\129\72\0\83\56\129\10\129\72\0\97\56\129\10\129\72\0",
	750, "\124\56\129\12\129\73\0\112\56\129\12\129\73\0\112\56\129\12\129\74\0\83\56\129\12\129\74\0\97\56\129\12\129\74\0",
	760, "\124\56\129\14\129\73\0\112\56\129\14\129\73\0\112\56\129\14\129\74\0\83\56\129\14\129\74\0\97\56\129\14\129\74\0",
	770, "\124\56\129\16\129\73\0\112\56\129\16\129\73\0\112\56\129\16\129\74\0\83\56\129\16\129\74\0\97\56\129\16\129\74\0",
	780, "\124\56\129\18\129\73\0\112\56\129\18\129\73\0\112\56\129\18\129\74\0\83\56\129\18\129\74\0\97\56\129\18\129\74\0",
	790, "\124\56\129\20\129\77\0\112\56\129\20\129\77\0\112\56\129\20\129\78\0\83\56\129\20\129\78\0\97\56\129\20\129\78\0",
	800, "\125\62\129\75\0\113\62\129\75\0\113\62\129\76\0\84\62\129\76\0\98\62\129\76\0",
	810, "\125\63\129\4\129\65\0\113\63\129\4\129\65\0\113\63\129\4\129\66\0\84\63\129\4\129\66\0\98\63\129\4\129\66\0",
	820, "\125\63\129\6\129\65\0\113\63\129\6\129\65\0\113\63\129\6\129\66\0\84\63\129\6\129\66\0\98\63\129\6\129\66\0",
	830, "\125\63\129\8\129\65\0\113\63\129\8\129\65\0\113\63\129\8\129\66\0\84\63\129\8\129\66\0\98\63\129\8\129\66\0",
	840, "\125\63\129\10\129\71\0\113\63\129\10\129\71\0\113\63\129\10\129\72\0\84\63\129\10\129\72\0\98\63\129\10\129\72\0",
	850, "\125\63\129\12\129\73\0\113\63\129\12\129\73\0\113\63\129\12\129\74\0\84\63\129\12\129\74\0\98\63\129\12\129\74\0",
	860, "\125\63\129\14\129\73\0\113\63\129\14\129\73\0\113\63\129\14\129\74\0\84\63\129\14\129\74\0\98\63\129\14\129\74\0",
	870, "\125\63\129\16\129\73\0\113\63\129\16\129\73\0\113\63\129\16\129\74\0\84\63\129\16\129\74\0\98\63\129\16\129\74\0",
	880, "\125\63\129\18\129\73\0\113\63\129\18\129\73\0\113\63\129\18\129\74\0\84\63\129\18\129\74\0\98\63\129\18\129\74\0",
	890, "\125\63\129\20\129\77\0\113\63\129\20\129\77\0\113\63\129\20\129\78\0\84\63\129\20\129\78\0\98\63\129\20\129\78\0",
	900, "\126\69\129\75\0\114\69\129\75\0\114\69\129\76\0\85\69\129\76\0\99\69\129\76\0",
	910, "\126\70\129\4\129\65\0\114\70\129\4\129\65\0\114\70\129\4\129\66\0\85\70\129\4\129\66\0\99\70\129\4\129\66\0",
	920, "\126\70\129\6\129\65\0\114\70\129\6\129\65\0\114\70\129\6\129\66\0\85\70\129\6\129\66\0\99\70\129\6\129\66\0",
	930, "\126\70\129\8\129\65\0\114\70\129\8\129\65\0\114\70\129\8\129\66\0\85\70\129\8\129\66\0\99\70\129\8\129\66\0",
	940, "\126\70\129\10\129\71\0\114\70\129\10\129\71\0\114\70\129\10\129\72\0\85\70\129\10\129\72\0\99\70\129\10\129\72\0",
	950, "\126\70\129\12\129\73\0\114\70\129\12\129\73\0\114\70\129\12\129\74\0\85\70\129\12\129\74\0\99\70\129\12\129\74\0",
	960, "\126\70\129\14\129\73\0\114\70\129\14\129\73\0\114\70\129\14\129\74\0\85\70\129\14\129\74\0\99\70\129\14\129\74\0",
	970, "\126\70\129\16\129\73\0\114\70\129\16\129\73\0\114\70\129\16\129\74\0\85\70\129\16\129\74\0\99\70\129\16\129\74\0",
	980, "\126\70\129\18\129\73\0\114\70\129\18\129\73\0\114\70\129\18\129\74\0\85\70\129\18\129\74\0\99\70\129\18\129\74\0",
	990, "\126\70\129\20\129\77\0\114\70\129\20\129\77\0\114\70\129\20\129\78\0\85\70\129\20\129\78\0\99\70\129\20\129\78\0",
	1000, "\115\2\129\35\0\103\2\129\35\0\103\2\129\40\0\74\2\129\40\0\88\2\129\40\0",
	1100, "\115\3\4\129\37\0\103\3\4\129\37\0\103\3\4\129\38\0\74\3\4\129\38\0\88\3\4\129\38\0",
	1200, "\115\3\20\129\36\0\103\3\20\129\36\0\103\3\20\129\39\0\74\3\20\129\39\0\88\3\20\129\39\0",
	1300, "\115\3\31\129\36\0\103\3\31\129\36\0\103\3\31\129\39\0\74\3\31\129\39\0\88\3\31\129\39\0",
	1400, "\115\3\38\129\36\0\103\3\38\129\36\0\103\3\38\129\39\0\74\3\38\129\39\0\88\3\38\129\39\0",
	1500, "\115\3\45\129\36\0\103\3\45\129\36\0\103\3\45\129\39\0\74\3\45\129\39\0\88\3\45\129\39\0",
	1600, "\115\3\52\129\36\0\103\3\52\129\36\0\103\3\52\129\39\0\74\3\52\129\39\0\88\3\52\129\39\0",
	1700, "\115\3\59\129\36\0\103\3\59\129\36\0\103\3\59\129\39\0\74\3\59\129\39\0\88\3\59\129\39\0",
	1800, "\115\3\66\129\36\0\103\3\66\129\36\0\103\3\66\129\39\0\74\3\66\129\39\0\88\3\66\129\39\0",
	1900, "\115\3\73\129\36\0\103\3\73\129\36\0\103\3\73\129\39\0\74\3\73\129\39\0\88\3\73\129\39\0",
	2000, "\118\18\129\41\0\106\18\129\41\0\106\18\129\42\0\77\18\129\42\0\91\18\129\42\0",
	2100, "\118\19\4\129\37\0\106\19\4\129\37\0\106\19\4\129\38\0\77\19\4\129\38\0\91\19\4\129\38\0",
	2200, "\118\19\20\129\36\0\106\19\20\129\36\0\106\19\20\129\39\0\77\19\20\129\39\0\91\19\20\129\39\0",
	2300, "\118\19\31\129\36\0\106\19\31\129\36\0\106\19\31\129\39\0\77\19\31\129\39\0\91\19\31\129\39\0",
	2400, "\118\19\38\129\36\0\106\19\38\129\36\0\106\19\38\129\39\0\77\19\38\129\39\0\91\19\38\129\39\0",
	2500, "\118\19\45\129\36\0\106\19\45\129\36\0\106\19\45\129\39\0\77\19\45\129\39\0\91\19\45\129\39\0",
	2600, "\118\19\52\129\36\0\106\19\52\129\36\0\106\19\52\129\39\0\77\19\52\129\39\0\91\19\52\129\39\0",
	2700, "\118\19\59\129\36\0\106\19\59\129\36\0\106\19\59\129\39\0\77\19\59\129\39\0\91\19\59\129\39\0",
	2800, "\118\19\66\129\36\0\106\19\66\129\36\0\106\19\66\129\39\0\77\19\66\129\39\0\91\19\66\129\39\0",
	2900, "\118\19\73\129\36\0\106\19\73\129\36\0\106\19\73\129\39\0\77\19\73\129\39\0\91\19\73\129\39\0",
	3000, "\119\25\129\43\0\107\25\129\43\0\107\25\129\44\0\78\25\129\44\0\92\25\129\44\0",
	3100, "\119\30\4\129\37\0\107\30\4\129\37\0\107\30\4\129\38\0\78\30\4\129\38\0\92\30\4\129\38\0",
	3200, "\119\30\20\129\36\0\107\30\20\129\36\0\107\30\20\129\39\0\78\30\20\129\39\0\92\30\20\129\39\0",
	3300, "\119\30\31\129\36\0\107\30\31\129\36\0\107\30\31\129\39\0\78\30\31\129\39\0\92\30\31\129\39\0",
	3400, "\119\30\38\129\36\0\107\30\38\129\36\0\107\30\38\129\39\0\78\30\38\129\39\0\92\30\38\129\39\0",
	3500, "\119\30\45\129\36\0\107\30\45\129\36\0\107\30\45\129\39\0\78\30\45\129\39\0\92\30\45\129\39\0",
	3600, "\119\30\52\129\36\0\107\30\52\129\36\0\107\30\52\129\39\0\78\30\52\129\39\0\92\30\52\129\39\0",
	3700, "\119\30\59\129\36\0\107\30\59\129\36\0\107\30\59\129\39\0\78\30\59\129\39\0\92\30\59\129\39\0",
	3800, "\119\30\66\129\36\0\107\30\66\129\36\0\107\30\66\129\39\0\78\30\66\129\39\0\92\30\66\129\39\0",
	3900, "\119\30\73\129\36\0\107\30\73\129\36\0\107\30\73\129\39\0\78\30\73\129\39\0\92\30\73\129\39\0",
	4000, "\120\32\129\43\0\108\32\129\43\0\108\32\129\44\0\79\32\129\44\0\93\32\129\44\0",
	4100, "\120\37\4\129\37\0\108\37\4\129\37\0\108\37\4\129\38\0\79\37\4\129\38\0\93\37\4\129\38\0",
	4200, "\120\37\20\129\36\0\108\37\20\129\36\0\108\37\20\129\39\0\79\37\20\129\39\0\93\37\20\129\39\0",
	4300, "\120\37\31\129\36\0\108\37\31\129\36\0\108\37\31\129\39\0\79\37\31\129\39\0\93\37\31\129\39\0",
	4400, "\120\37\38\129\36\0\108\37\38\129\36\0\108\37\38\129\39\0\79\37\38\129\39\0\93\37\38\129\39\0",
	4500, "\120\37\45\129\36\0\108\37\45\129\36\0\108\37\45\129\39\0\79\37\45\129\39\0\93\37\45\129\39\0",
	4600, "\120\37\52\129\36\0\108\37\52\129\36\0\108\37\52\129\39\0\79\37\52\129\39\0\93\37\52\129\39\0",
	4700, "\120\37\59\129\36\0\108\37\59\129\36\0\108\37\59\129\39\0\79\37\59\129\39\0\93\37\59\129\39\0",
	4800, "\120\37\66\129\36\0\108\37\66\129\36\0\108\37\66\129\39\0\79\37\66\129\39\0\93\37\66\129\39\0",
	4900, "\120\37\73\129\36\0\108\37\73\129\36\0\108\37\73\129\39\0\79\37\73\129\39\0\93\37\73\129\39\0",
	5000, "\122\39\129\55\0\110\39\129\55\0\110\39\129\56\0\81\39\129\56\0\95\39\129\56\0",
	5100, "\122\44\4\129\37\0\110\44\4\129\37\0\110\44\4\129\38\0\81\44\4\129\38\0\95\44\4\129\38\0",
	5200, "\122\44\20\129\36\0\110\44\20\129\36\0\110\44\20\129\39\0\81\44\20\129\39\0\95\44\20\129\39\0",
	5300, "\122\44\31\129\36\0\110\44\31\129\36\0\110\44\31\129\39\0\81\44\31\129\39\0\95\44\31\129\39\0",
	5400, "\122\44\38\129\36\0\110\44\38\129\36\0\110\44\38\129\39\0\81\44\38\129\39\0\95\44\38\129\39\0",
	5500, "\122\44\45\129\36\0\110\44\45\129\36\0\110\44\45\129\39\0\81\44\45\129\39\0\95\44\45\129\39\0",
	5600, "\122\44\52\129\36\0\110\44\52\129\36\0\110\44\52\129\39\0\81\44\52\129\39\0\95\44\52\129\39\0",
	5700, "\122\44\59\129\36\0\110\44\59\129\36\0\110\44\59\129\39\0\81\44\59\129\39\0\95\44\59\129\39\0",
	5800, "\122\44\66\129\36\0\110\44\66\129\36\0\110\44\66\129\39\0\81\44\66\129\39\0\95\44\66\129\39\0",
	5900, "\122\44\73\129\36\0\110\44\73\129\36\0\110\44\73\129\39\0\81\44\73\129\39\0\95\44\73\129\39\0",
	6000, "\123\46\129\55\0\111\46\129\55\0\111\46\129\56\0\82\46\129\56\0\96\46\129\56\0",
	6100, "\123\51\4\129\37\0\111\51\4\129\37\0\111\51\4\129\38\0\82\51\4\129\38\0\96\51\4\129\38\0",
	6200, "\123\51\20\129\36\0\111\51\20\129\36\0\111\51\20\129\39\0\82\51\20\129\39\0\96\51\20\129\39\0",
	6300, "\123\51\31\129\36\0\111\51\31\129\36\0\111\51\31\129\39\0\82\51\31\129\39\0\96\51\31\129\39\0",
	6400, "\123\51\38\129\36\0\111\51\38\129\36\0\111\51\38\129\39\0\82\51\38\129\39\0\96\51\38\129\39\0",
	6500, "\123\51\45\129\36\0\111\51\45\129\36\0\111\51\45\129\39\0\82\51\45\129\39\0\96\51\45\129\39\0",
	6600, "\123\51\52\129\36\0\111\51\52\129\36\0\111\51\52\129\39\0\82\51\52\129\39\0\96\51\52\129\39\0",
	6700, "\123\51\59\129\36\0\111\51\59\129\36\0\111\51\59\129\39\0\82\51\59\129\39\0\96\51\59\129\39\0",
	6800, "\123\51\66\129\36\0\111\51\66\129\36\0\111\51\66\129\39\0\82\51\66\129\39\0\96\51\66\129\39\0",
	6900, "\123\51\73\129\36\0\111\51\73\129\36\0\111\51\73\129\39\0\82\51\73\129\39\0\96\51\73\129\39\0",
	7000, "\124\53\129\59\0\112\53\129\59\0\112\53\129\60\0\83\53\129\60\0\97\53\129\60\0",
	7100, "\124\58\4\129\37\0\112\58\4\129\37\0\112\58\4\129\38\0\83\58\4\129\38\0\97\58\4\129\38\0",
	7200, "\124\58\20\129\36\0\112\58\20\129\36\0\112\58\20\129\39\0\83\58\20\129\39\0\97\58\20\129\39\0",
	7300, "\124\58\31\129\36\0\112\58\31\129\36\0\112\58\31\129\39\0\83\58\31\129\39\0\97\58\31\129\39\0",
	7400, "\124\58\38\129\36\0\112\58\38\129\36\0\112\58\38\129\39\0\83\58\38\129\39\0\97\58\38\129\39\0",
	7500, "\124\58\45\129\36\0\112\58\45\129\36\0\112\58\45\129\39\0\83\58\45\129\39\0\97\58\45\129\39\0",
	7600, "\124\58\52\129\36\0\112\58\52\129\36\0\112\58\52\129\39\0\83\58\52\129\39\0\97\58\52\129\39\0",
	7700, "\124\58\59\129\36\0\112\58\59\129\36\0\112\58\59\129\39\0\83\58\59\129\39\0\97\58\59\129\39\0",
	7800, "\124\58\66\129\36\0\112\58\66\129\36\0\112\58\66\129\39\0\83\58\66\129\39\0\97\58\66\129\39\0",
	7900, "\124\58\73\129\36\0\112\58\73\129\36\0\112\58\73\129\39\0\83\58\73\129\39\0\97\58\73\129\39\0",
	8000, "\125\60\129\59\0\113\60\129\59\0\113\60\129\60\0\84\60\129\60\0\98\60\129\60\0",
	8100, "\125\65\4\129\37\0\113\65\4\129\37\0\113\65\4\129\38\0\84\65\4\129\38\0\98\65\4\129\38\0",
	8200, "\125\65\20\129\36\0\113\65\20\129\36\0\113\65\20\129\39\0\84\65\20\129\39\0\98\65\20\129\39\0",
	8300, "\125\65\31\129\36\0\113\65\31\129\36\0\113\65\31\129\39\0\84\65\31\129\39\0\98\65\31\129\39\0",
	8400, "\125\65\38\129\36\0\113\65\38\129\36\0\113\65\38\129\39\0\84\65\38\129\39\0\98\65\38\129\39\0",
	8500, "\125\65\45\129\36\0\113\65\45\129\36\0\113\65\45\129\39\0\84\65\45\129\39\0\98\65\45\129\39\0",
	8600, "\125\65\52\129\36\0\113\65\52\129\36\0\113\65\52\129\39\0\84\65\52\129\39\0\98\65\52\129\39\0",
	8700, "\125\65\59\129\36\0\113\65\59\129\36\0\113\65\59\129\39\0\84\65\59\129\39\0\98\65\59\129\39\0",
	8800, "\125\65\66\129\36\0\113\65\66\129\36\0\113\65\66\129\39\0\84\65\66\129\39\0\98\65\66\129\39\0",
	8900, "\125\65\73\129\36\0\113\65\73\129\36\0\113\65\73\129\39\0\84\65\73\129\39\0\98\65\73\129\39\0",
	9000, "\126\67\129\61\0\114\67\129\61\0\114\67\129\62\0\85\67\129\62\0\99\67\129\62\0",
	9100, "\126\72\4\129\37\0\114\72\4\129\37\0\114\72\4\129\38\0\85\72\4\129\38\0\99\72\4\129\38\0",
	9200, "\126\72\20\129\36\0\114\72\20\129\36\0\114\72\20\129\39\0\85\72\20\129\39\0\99\72\20\129\39\0",
	9300, "\126\72\31\129\36\0\114\72\31\129\36\0\114\72\31\129\39\0\85\72\31\129\39\0\99\72\31\129\39\0",
	9400, "\126\72\38\129\36\0\114\72\38\129\36\0\114\72\38\129\39\0\85\72\38\129\39\0\99\72\38\129\39\0",
	9500, "\126\72\45\129\36\0\114\72\45\129\36\0\114\72\45\129\39\0\85\72\45\129\39\0\99\72\45\129\39\0",
	9600, "\126\72\52\129\36\0\114\72\52\129\36\0\114\72\52\129\39\0\85\72\52\129\39\0\99\72\52\129\39\0",
	9700, "\126\72\59\129\36\0\114\72\59\129\36\0\114\72\59\129\39\0\85\72\59\129\39\0\99\72\59\129\39\0",
	9800, "\126\72\66\129\36\0\114\72\66\129\36\0\114\72\66\129\39\0\85\72\66\129\39\0\99\72\66\129\39\0",
	9900, "\126\72\73\129\36\0\114\72\73\129\36\0\114\72\73\129\39\0\85\72\73\129\39\0\99\72\73\129\39\0",
	10000, "\116\5\129\61\0\104\5\129\61\0\104\5\129\62\0\75\5\129\62\0\89\5\129\62\0",
	11000, "\115\9\129\45\0\103\9\129\45\0\103\9\129\46\0\74\9\129\46\0\88\9\129\46\0",
	12000, "\115\10\129\45\0\103\10\129\45\0\103\10\129\46\0\74\10\129\46\0\88\10\129\46\0",
	13000, "\115\11\129\45\0\103\11\129\45\0\103\11\129\46\0\74\11\129\46\0\88\11\129\46\0",
	14000, "\115\12\129\45\0\103\12\129\45\0\103\12\129\46\0\74\12\129\46\0\88\12\129\46\0",
	15000, "\115\13\129\45\0\103\13\129\45\0\103\13\129\46\0\74\13\129\46\0\88\13\129\46\0",
	16000, "\115\14\129\45\0\103\14\129\45\0\103\14\129\46\0\74\14\129\46\0\88\14\129\46\0",
	17000, "\115\15\129\45\0\103\15\129\45\0\103\15\129\46\0\74\15\129\46\0\88\15\129\46\0",
	18000, "\115\16\129\45\0\103\16\129\45\0\103\16\129\46\0\74\16\129\46\0\88\16\129\46\0",
	19000, "\115\17\129\45\0\103\17\129\45\0\103\17\129\46\0\74\17\129\46\0\88\17\129\46\0",
	20000, "\118\21\129\45\0\106\21\129\45\0\106\21\129\46\0\77\21\129\46\0\91\21\129\46\0",
	21000, "\118\24\129\3\129\35\0\106\24\129\3\129\35\0\106\24\129\3\129\40\0\77\24\129\3\129\40\0\91\24\129\3\129\40\0",
	22000, "\118\24\129\5\129\41\0\106\24\129\5\129\41\0\106\24\129\5\129\42\0\77\24\129\5\129\42\0\91\24\129\5\129\42\0",
	23000, "\118\24\129\7\129\43\0\106\24\129\7\129\43\0\106\24\129\7\129\44\0\77\24\129\7\129\44\0\91\24\129\7\129\44\0",
	24000, "\118\24\129\9\129\43\0\106\24\129\9\129\43\0\106\24\129\9\129\44\0\77\24\129\9\129\44\0\91\24\129\9\129\44\0",
	25000, "\118\24\129\11\129\55\0\106\24\129\11\129\55\0\106\24\129\11\129\56\0\77\24\129\11\129\56\0\91\24\129\11\129\56\0",
	26000, "\118\24\129\13\129\55\0\106\24\129\13\129\55\0\106\24\129\13\129\56\0\77\24\129\13\129\56\0\91\24\129\13\129\56\0",
	27000, "\118\24\129\15\129\59\0\106\24\129\15\129\59\0\106\24\129\15\129\60\0\77\24\129\15\129\60\0\91\24\129\15\129\60\0",
	28000, "\118\24\129\17\129\59\0\106\24\129\17\129\59\0\106\24\129\17\129\60\0\77\24\129\17\129\60\0\91\24\129\17\129\60\0",
	29000, "\118\24\129\19\129\61\0\106\24\129\19\129\61\0\106\24\129\19\129\62\0\77\24\129\19\129\62\0\91\24\129\19\129\62\0",
	30000, "\119\26\129\45\0\107\26\129\45\0\107\26\129\46\0\78\26\129\46\0\92\26\129\46\0",
	31000, "\119\29\129\3\129\35\0\107\29\129\3\129\35\0\107\29\129\3\129\40\0\78\29\129\3\129\40\0\92\29\129\3\129\40\0",
	32000, "\119\29\129\5\129\41\0\107\29\129\5\129\41\0\107\29\129\5\129\42\0\78\29\129\5\129\42\0\92\29\129\5\129\42\0",
	33000, "\119\29\129\7\129\43\0\107\29\129\7\129\43\0\107\29\129\7\129\44\0\78\29\129\7\129\44\0\92\29\129\7\129\44\0",
	34000, "\119\29\129\9\129\43\0\107\29\129\9\129\43\0\107\29\129\9\129\44\0\78\29\129\9\129\44\0\92\29\129\9\129\44\0",
	35000, "\119\29\129\11\129\55\0\107\29\129\11\129\55\0\107\29\129\11\129\56\0\78\29\129\11\129\56\0\92\29\129\11\129\56\0",
	36000, "\119\29\129\13\129\55\0\107\29\129\13\129\55\0\107\29\129\13\129\56\0\78\29\129\13\129\56\0\92\29\129\13\129\56\0",
	37000, "\119\29\129\15\129\59\0\107\29\129\15\129\59\0\107\29\129\15\129\60\0\78\29\129\15\129\60\0\92\29\129\15\129\60\0",
	38000, "\119\29\129\17\129\59\0\107\29\129\17\129\59\0\107\29\129\17\129\60\0\78\29\129\17\129\60\0\92\29\129\17\129\60\0",
	39000, "\119\29\129\19\129\61\0\107\29\129\19\129\61\0\107\29\129\19\129\62\0\78\29\129\19\129\62\0\92\29\129\19\129\62\0",
	40000, "\121\33\129\51\0\109\33\129\51\0\109\33\129\52\0\80\33\129\52\0\94\33\129\52\0",
	41000, "\121\36\129\3\129\35\0\109\36\129\3\129\35\0\109\36\129\3\129\40\0\80\36\129\3\129\40\0\94\36\129\3\129\40\0",
	42000, "\121\36\129\5\129\41\0\109\36\129\5\129\41\0\109\36\129\5\129\42\0\80\36\129\5\129\42\0\94\36\129\5\129\42\0",
	43000, "\121\36\129\7\129\43\0\109\36\129\7\129\43\0\109\36\129\7\129\44\0\80\36\129\7\129\44\0\94\36\129\7\129\44\0",
	44000, "\121\36\129\9\129\43\0\109\36\129\9\129\43\0\109\36\129\9\129\44\0\80\36\129\9\129\44\0\94\36\129\9\129\44\0",
	45000, "\121\36\129\11\129\55\0\109\36\129\11\129\55\0\109\36\129\11\129\56\0\80\36\129\11\129\56\0\94\36\129\11\129\56\0",
	46000, "\121\36\129\13\129\55\0\109\36\129\13\129\55\0\109\36\129\13\129\56\0\80\36\129\13\129\56\0\94\36\129\13\129\56\0",
	47000, "\121\36\129\15\129\59\0\109\36\129\15\129\59\0\109\36\129\15\129\60\0\80\36\129\15\129\60\0\94\36\129\15\129\60\0",
	48000, "\121\36\129\17\129\59\0\109\36\129\17\129\59\0\109\36\129\17\129\60\0\80\36\129\17\129\60\0\94\36\129\17\129\60\0",
	49000, "\121\36\129\19\129\61\0\109\36\129\19\129\61\0\109\36\129\19\129\62\0\80\36\129\19\129\62\0\94\36\129\19\129\62\0",
	50000, "\122\40\129\57\0\110\40\129\57\0\110\40\129\58\0\81\40\129\58\0\95\40\129\58\0",
	51000, "\122\43\129\3\129\35\0\110\43\129\3\129\35\0\110\43\129\3\129\40\0\81\43\129\3\129\40\0\95\43\129\3\129\40\0",
	52000, "\122\43\129\5\129\41\0\110\43\129\5\129\41\0\110\43\129\5\129\42\0\81\43\129\5\129\42\0\95\43\129\5\129\42\0",
	53000, "\122\43\129\7\129\43\0\110\43\129\7\129\43\0\110\43\129\7\129\44\0\81\43\129\7\129\44\0\95\43\129\7\129\44\0",
	54000, "\122\43\129\9\129\43\0\110\43\129\9\129\43\0\110\43\129\9\129\44\0\81\43\129\9\129\44\0\95\43\129\9\129\44\0",
	55000, "\122\43\129\11\129\55\0\110\43\129\11\129\55\0\110\43\129\11\129\56\0\81\43\129\11\129\56\0\95\43\129\11\129\56\0",
	56000, "\122\43\129\13\129\55\0\110\43\129\13\129\55\0\110\43\129\13\129\56\0\81\43\129\13\129\56\0\95\43\129\13\129\56\0",
	57000, "\122\43\129\15\129\59\0\110\43\129\15\129\59\0\110\43\129\15\129\60\0\81\43\129\15\129\60\0\95\43\129\15\129\60\0",
	58000, "\122\43\129\17\129\59\0\110\43\129\17\129\59\0\110\43\129\17\129\60\0\81\43\129\17\129\60\0\95\43\129\17\129\60\0",
	59000, "\122\43\129\19\129\61\0\110\43\129\19\129\61\0\110\43\129\19\129\62\0\81\43\129\19\129\62\0\95\43\129\19\129\62\0",
	60000, "\123\47\129\57\0\111\47\129\57\0\111\47\129\58\0\82\47\129\58\0\96\47\129\58\0",
	61000, "\123\50\129\3\129\35\0\111\50\129\3\129\35\0\111\50\129\3\129\40\0\82\50\129\3\129\40\0\96\50\129\3\129\40\0",
	62000, "\123\50\129\5\129\41\0\111\50\129\5\129\41\0\111\50\129\5\129\42\0\82\50\129\5\129\42\0\96\50\129\5\129\42\0",
	63000, "\123\50\129\7\129\43\0\111\50\129\7\129\43\0\111\50\129\7\129\44\0\82\50\129\7\129\44\0\96\50\129\7\129\44\0",
	64000, "\123\50\129\9\129\43\0\111\50\129\9\129\43\0\111\50\129\9\129\44\0\82\50\129\9\129\44\0\96\50\129\9\129\44\0",
	65000, "\123\50\129\11\129\55\0\111\50\129\11\129\55\0\111\50\129\11\129\56\0\82\50\129\11\129\56\0\96\50\129\11\129\56\0",
	66000, "\123\50\129\13\129\55\0\111\50\129\13\129\55\0\111\50\129\13\129\56\0\82\50\129\13\129\56\0\96\50\129\13\129\56\0",
	67000, "\123\50\129\15\129\59\0\111\50\129\15\129\59\0\111\50\129\15\129\60\0\82\50\129\15\129\60\0\96\50\129\15\129\60\0",
	68000, "\123\50\129\17\129\59\0\111\50\129\17\129\59\0\111\50\129\17\129\60\0\82\50\129\17\129\60\0\96\50\129\17\129\60\0",
	69000, "\123\50\129\19\129\61\0\111\50\129\19\129\61\0\111\50\129\19\129\62\0\82\50\129\19\129\62\0\96\50\129\19\129\62\0",
	70000, "\124\54\129\57\0\112\54\129\57\0\112\54\129\58\0\83\54\129\58\0\97\54\129\58\0",
	71000, "\124\57\129\3\129\35\0\112\57\129\3\129\35\0\112\57\129\3\129\40\0\83\57\129\3\129\40\0\97\57\129\3\129\40\0",
	72000, "\124\57\129\5\129\41\0\112\57\129\5\129\41\0\112\57\129\5\129\42\0\83\57\129\5\129\42\0\97\57\129\5\129\42\0",
	73000, "\124\57\129\7\129\43\0\112\57\129\7\129\43\0\112\57\129\7\129\44\0\83\57\129\7\129\44\0\97\57\129\7\129\44\0",
	74000, "\124\57\129\9\129\43\0\112\57\129\9\129\43\0\112\57\129\9\129\44\0\83\57\129\9\129\44\0\97\57\129\9\129\44\0",
	75000, "\124\57\129\11\129\55\0\112\57\129\11\129\55\0\112\57\129\11\129\56\0\83\57\129\11\129\56\0\97\57\129\11\129\56\0",
	76000, "\124\57\129\13\129\55\0\112\57\129\13\129\55\0\112\57\129\13\129\56\0\83\57\129\13\129\56\0\97\57\129\13\129\56\0",
	77000, "\124\57\129\15\129\59\0\112\57\129\15\129\59\0\112\57\129\15\129\60\0\83\57\129\15\129\60\0\97\57\129\15\129\60\0",
	78000, "\124\57\129\17\129\59\0\112\57\129\17\129\59\0\112\57\129\17\129\60\0\83\57\129\17\129\60\0\97\57\129\17\129\60\0",
	79000, "\124\57\129\19\129\61\0\112\57\129\19\129\61\0\112\57\129\19\129\62\0\83\57\129\19\129\62\0\97\57\129\19\129\62\0",
	80000, "\125\61\129\57\0\113\61\129\57\0\113\61\129\58\0\84\61\129\58\0\98\61\129\58\0",
	81000, "\125\64\129\3\129\35\0\113\64\129\3\129\35\0\113\64\129\3\129\40\0\84\64\129\3\129\40\0\98\64\129\3\129\40\0",
	82000, "\125\64\129\5\129\41\0\113\64\129\5\129\41\0\113\64\129\5\129\42\0\84\64\129\5\129\42\0\98\64\129\5\129\42\0",
	83000, "\125\64\129\7\129\43\0\113\64\129\7\129\43\0\113\64\129\7\129\44\0\84\64\129\7\129\44\0\98\64\129\7\129\44\0",
	84000, "\125\64\129\9\129\43\0\113\64\129\9\129\43\0\113\64\129\9\129\44\0\84\64\129\9\129\44\0\98\64\129\9\129\44\0",
	85000, "\125\64\129\11\129\55\0\113\64\129\11\129\55\0\113\64\129\11\129\56\0\84\64\129\11\129\56\0\98\64\129\11\129\56\0",
	86000, "\125\64\129\13\129\55\0\113\64\129\13\129\55\0\113\64\129\13\129\56\0\84\64\129\13\129\56\0\98\64\129\13\129\56\0",
	87000, "\125\64\129\15\129\59\0\113\64\129\15\129\59\0\113\64\129\15\129\60\0\84\64\129\15\129\60\0\98\64\129\15\129\60\0",
	88000, "\125\64\129\17\129\59\0\113\64\129\17\129\59\0\113\64\129\17\129\60\0\84\64\129\17\129\60\0\98\64\129\17\129\60\0",
	89000, "\125\64\129\19\129\61\0\113\64\129\19\129\61\0\113\64\129\19\129\62\0\84\64\129\19\129\62\0\98\64\129\19\129\62\0",
	90000, "\126\68\129\63\0\114\68\129\63\0\114\68\129\64\0\85\68\129\64\0\99\68\129\64\0",
	91000, "\126\71\129\3\129\35\0\114\71\129\3\129\35\0\114\71\129\3\129\40\0\85\71\129\3\129\40\0\99\71\129\3\129\40\0",
	92000, "\126\71\129\5\129\41\0\114\71\129\5\129\41\0\114\71\129\5\129\42\0\85\71\129\5\129\42\0\99\71\129\5\129\42\0",
	93000, "\126\71\129\7\129\43\0\114\71\129\7\129\43\0\114\71\129\7\129\44\0\85\71\129\7\129\44\0\99\71\129\7\129\44\0",
	94000, "\126\71\129\9\129\43\0\114\71\129\9\129\43\0\114\71\129\9\129\44\0\85\71\129\9\129\44\0\99\71\129\9\129\44\0",
	95000, "\126\71\129\11\129\55\0\114\71\129\11\129\55\0\114\71\129\11\129\56\0\85\71\129\11\129\56\0\99\71\129\11\129\56\0",
	96000, "\126\71\129\13\129\55\0\114\71\129\13\129\55\0\114\71\129\13\129\56\0\85\71\129\13\129\56\0\99\71\129\13\129\56\0",
	97000, "\126\71\129\15\129\59\0\114\71\129\15\129\59\0\114\71\129\15\129\60\0\85\71\129\15\129\60\0\99\71\129\15\129\60\0",
	98000, "\126\71\129\17\129\59\0\114\71\129\17\129\59\0\114\71\129\17\129\60\0\85\71\129\17\129\60\0\99\71\129\17\129\60\0",
	99000, "\126\71\129\19\129\61\0\114\71\129\19\129\61\0\114\71\129\19\129\62\0\85\71\129\19\129\62\0\99\71\129\19\129\62\0",
	100000, "\117\6\129\63\0\105\6\129\63\0\105\6\129\64\0\76\6\129\64\0\90\6\129\64\0",
	110000, "\117\8\129\4\129\61\0\105\8\129\4\129\61\0\105\8\129\4\129\62\0\76\8\129\4\129\62\0\90\8\129\4\129\62\0",
	120000, "\117\8\129\6\129\45\0\105\8\129\6\129\45\0\105\8\129\6\129\46\0\76\8\129\6\129\46\0\90\8\129\6\129\46\0",
	130000, "\117\8\129\8\129\45\0\105\8\129\8\129\45\0\105\8\129\8\129\46\0\76\8\129\8\129\46\0\90\8\129\8\129\46\0",
	140000, "\117\8\129\10\129\51\0\105\8\129\10\129\51\0\105\8\129\10\129\52\0\76\8\129\10\129\52\0\90\8\129\10\129\52\0",
	150000, "\117\8\129\12\129\57\0\105\8\129\12\129\57\0\105\8\129\12\129\58\0\76\8\129\12\129\58\0\90\8\129\12\129\58\0",
	160000, "\117\8\129\14\129\57\0\105\8\129\14\129\57\0\105\8\129\14\129\58\0\76\8\129\14\129\58\0\90\8\129\14\129\58\0",
	170000, "\117\8\129\16\129\57\0\105\8\129\16\129\57\0\105\8\129\16\129\58\0\76\8\129\16\129\58\0\90\8\129\16\129\58\0",
	180000, "\117\8\129\18\129\57\0\105\8\129\18\129\57\0\105\8\129\18\129\58\0\76\8\129\18\129\58\0\90\8\129\18\129\58\0",
	190000, "\117\8\129\20\129\63\0\105\8\129\20\129\63\0\105\8\129\20\129\64\0\76\8\129\20\129\64\0\90\8\129\20\129\64\0",
	200000, "\118\22\129\47\0\106\22\129\47\0\106\22\129\48\0\77\22\129\48\0\91\22\129\48\0",
	210000, "\118\23\129\4\129\61\0\106\23\129\4\129\61\0\106\23\129\4\129\62\0\77\23\129\4\129\62\0\91\23\129\4\129\62\0",
	220000, "\118\23\129\6\129\45\0\106\23\129\6\129\45\0\106\23\129\6\129\46\0\77\23\129\6\129\46\0\91\23\129\6\129\46\0",
	230000, "\118\23\129\8\129\45\0\106\23\129\8\129\45\0\106\23\129\8\129\46\0\77\23\129\8\129\46\0\91\23\129\8\129\46\0",
	240000, "\118\23\129\10\129\51\0\106\23\129\10\129\51\0\106\23\129\10\129\52\0\77\23\129\10\129\52\0\91\23\129\10\129\52\0",
	250000, "\118\23\129\12\129\57\0\106\23\129\12\129\57\0\106\23\129\12\129\58\0\77\23\129\12\129\58\0\91\23\129\12\129\58\0",
	260000, "\118\23\129\14\129\57\0\106\23\129\14\129\57\0\106\23\129\14\129\58\0\77\23\129\14\129\58\0\91\23\129\14\129\58\0",
	270000, "\118\23\129\16\129\57\0\106\23\129\16\129\57\0\106\23\129\16\129\58\0\77\23\129\16\129\58\0\91\23\129\16\129\58\0",
	280000, "\118\23\129\18\129\57\0\106\23\129\18\129\57\0\106\23\129\18\129\58\0\77\23\129\18\129\58\0\91\23\129\18\129\58\0",
	290000, "\118\23\129\20\129\63\0\106\23\129\20\129\63\0\106\23\129\20\129\64\0\77\23\129\20\129\64\0\91\23\129\20\129\64\0",
	300000, "\119\27\129\49\0\107\27\129\49\0\107\27\129\50\0\78\27\129\50\0\92\27\129\50\0",
	310000, "\119\28\129\4\129\61\0\107\28\129\4\129\61\0\107\28\129\4\129\62\0\78\28\129\4\129\62\0\92\28\129\4\129\62\0",
	320000, "\119\28\129\6\129\45\0\107\28\129\6\129\45\0\107\28\129\6\129\46\0\78\28\129\6\129\46\0\92\28\129\6\129\46\0",
	330000, "\119\28\129\8\129\45\0\107\28\129\8\129\45\0\107\28\129\8\129\46\0\78\28\129\8\129\46\0\92\28\129\8\129\46\0",
	340000, "\119\28\129\10\129\51\0\107\28\129\10\129\51\0\107\28\129\10\129\52\0\78\28\129\10\129\52\0\92\28\129\10\129\52\0",
	350000, "\119\28\129\12\129\57\0\107\28\129\12\129\57\0\107\28\129\12\129\58\0\78\28\129\12\129\58\0\92\28\129\12\129\58\0",
	360000, "\119\28\129\14\129\57\0\107\28\129\14\129\57\0\107\28\129\14\129\58\0\78\28\129\14\129\58\0\92\28\129\14\129\58\0",
	370000, "\119\28\129\16\129\57\0\107\28\129\16\129\57\0\107\28\129\16\129\58\0\78\28\129\16\129\58\0\92\28\129\16\129\58\0",
	380000, "\119\28\129\18\129\57\0\107\28\129\18\129\57\0\107\28\129\18\129\58\0\78\28\129\18\129\58\0\92\28\129\18\129\58\0",
	390000, "\119\28\129\20\129\63\0\107\28\129\20\129\63\0\107\28\129\20\129\64\0\78\28\129\20\129\64\0\92\28\129\20\129\64\0",
	400000, "\120\34\129\49\0\109\34\129\49\0\109\34\129\50\0\79\34\129\50\0\93\34\129\50\0",
	410000, "\120\35\129\4\129\61\0\109\35\129\4\129\61\0\109\35\129\4\129\62\0\79\35\129\4\129\62\0\93\35\129\4\129\62\0",
	420000, "\120\35\129\6\129\45\0\109\35\129\6\129\45\0\109\35\129\6\129\46\0\79\35\129\6\129\46\0\93\35\129\6\129\46\0",
	430000, "\120\35\129\8\129\45\0\109\35\129\8\129\45\0\109\35\129\8\129\46\0\79\35\129\8\129\46\0\93\35\129\8\129\46\0",
	440000, "\120\35\129\10\129\51\0\109\35\129\10\129\51\0\109\35\129\10\129\52\0\79\35\129\10\129\52\0\93\35\129\10\129\52\0",
	450000, "\120\35\129\12\129\57\0\109\35\129\12\129\57\0\109\35\129\12\129\58\0\79\35\129\12\129\58\0\93\35\129\12\129\58\0",
	460000, "\120\35\129\14\129\57\0\109\35\129\14\129\57\0\109\35\129\14\129\58\0\79\35\129\14\129\58\0\93\35\129\14\129\58\0",
	470000, "\120\35\129\16\129\57\0\109\35\129\16\129\57\0\109\35\129\16\129\58\0\79\35\129\16\129\58\0\93\35\129\16\129\58\0",
	480000, "\120\35\129\18\129\57\0\109\35\129\18\129\57\0\109\35\129\18\129\58\0\79\35\129\18\129\58\0\93\35\129\18\129\58\0",
	490000, "\120\35\129\20\129\63\0\109\35\129\20\129\63\0\109\35\129\20\129\64\0\79\35\129\20\129\64\0\93\35\129\20\129\64\0",
	500000, "\122\41\129\53\0\110\41\129\53\0\110\41\129\54\0\81\41\129\54\0\95\41\129\54\0",
	510000, "\127\129\109\41\129\53\0\129\1\129\109\41\129\53\0\129\1\129\109\41\129\54\0\86\129\109\41\129\54\0\95\41\129\54\0",
}

distances.feet = {
	15, "\122\40\129\29\0\110\40\129\29\0\110\40\129\30\0\81\40\129\30\0\95\40\129\30\0",
	30, "\117\6\129\23\0\105\6\129\23\0\105\6\129\24\0\76\6\129\24\0\90\6\129\24\0",
	46, "\117\8\129\12\129\29\0\105\8\129\12\129\29\0\105\8\129\12\129\30\0\76\8\129\12\129\30\0\90\8\129\12\129\30\0",
	61, "\118\22\129\25\0\106\22\129\25\0\106\22\129\26\0\77\22\129\26\0\91\22\129\26\0",
	91, "\119\27\129\27\0\107\27\129\27\0\107\27\129\28\0\78\27\129\28\0\92\27\129\28\0",
	122, "\120\34\129\27\0\108\34\129\27\0\108\34\129\28\0\79\34\129\28\0\93\34\129\28\0",
	152, "\122\41\129\31\0\110\41\129\31\0\110\41\129\32\0\81\41\129\32\0\95\41\129\32\0",
	183, "\123\48\129\31\0\111\48\129\31\0\111\48\129\32\0\82\48\129\32\0\96\48\129\32\0",
	213, "\124\55\129\31\0\112\55\129\31\0\112\55\129\32\0\83\55\129\32\0\97\55\129\32\0",
	244, "\125\62\129\31\0\113\62\129\31\0\113\62\129\32\0\84\62\129\32\0\98\62\129\32\0",
	274, "\126\69\129\31\0\114\69\129\31\0\114\69\129\32\0\85\69\129\32\0\99\69\129\32\0",
	305, "\119\7\129\21\0\107\7\129\21\0\107\7\129\22\0\78\7\129\22\0\92\7\129\22\0",
	402, "\120\101\0\108\101\0\108\102\0\79\102\0\93\102\0",
	644, "\129\0\1\38\129\81\0\129\2\1\38\129\81\0\129\2\1\38\129\88\0\87\1\38\129\88\0\100\1\38\129\88\0",
	805, "\122\129\33\0\110\129\33\0\110\129\34\0\81\129\34\0\95\129\34\0",
	966, "\129\0\1\52\129\81\0\129\2\1\52\129\81\0\129\2\1\52\129\88\0\87\1\52\129\88\0\100\1\52\129\88\0",
	1127, "\119\129\110\0\107\129\110\0\107\129\111\0\78\129\111\0\92\129\111\0",
	1448, "\129\0\1\73\129\81\0\129\2\1\73\129\81\0\129\2\1\73\129\88\0\87\1\73\129\88\0\100\1\73\129\88\0",
	1609, "\115\2\129\79\0\103\2\129\79\0\103\2\129\80\0\74\2\129\80\0\88\2\129\80\0",
	1770, "\115\3\4\129\82\0\103\3\4\129\82\0\103\3\4\129\83\0\74\3\4\129\83\0\88\3\4\129\83\0",
	1931, "\115\3\20\129\81\0\103\3\20\129\81\0\103\3\20\129\88\0\74\3\20\129\88\0\88\3\20\129\88\0",
	2092, "\115\3\31\129\81\0\103\3\31\129\81\0\103\3\31\129\88\0\74\3\31\129\88\0\88\3\31\129\88\0",
	2253, "\115\3\38\129\81\0\103\3\38\129\81\0\103\3\38\129\88\0\74\3\38\129\88\0\88\3\38\129\88\0",
	2414, "\115\3\45\129\81\0\103\3\45\129\81\0\103\3\45\129\88\0\74\3\45\129\88\0\88\3\45\129\88\0",
	2575, "\115\3\52\129\81\0\103\3\52\129\81\0\103\3\52\129\88\0\74\3\52\129\88\0\88\3\52\129\88\0",
	2736, "\115\3\59\129\81\0\103\3\59\129\81\0\103\3\59\129\88\0\74\3\59\129\88\0\88\3\59\129\88\0",
	2897, "\115\3\66\129\81\0\103\3\66\129\81\0\103\3\66\129\88\0\74\3\66\129\88\0\88\3\66\129\88\0",
	3058, "\115\3\73\129\81\0\103\3\73\129\81\0\103\3\73\129\88\0\74\3\73\129\88\0\88\3\73\129\88\0",
	3219, "\118\18\129\84\0\106\18\129\84\0\106\18\129\85\0\77\18\129\85\0\91\18\129\85\0",
	3380, "\118\19\4\129\82\0\106\19\4\129\82\0\106\19\4\129\83\0\77\19\4\129\83\0\91\19\4\129\83\0",
	3541, "\118\19\20\129\81\0\106\19\20\129\81\0\106\19\20\129\88\0\77\19\20\129\88\0\91\19\20\129\88\0",
	3701, "\118\19\31\129\81\0\106\19\31\129\81\0\106\19\31\129\88\0\77\19\31\129\88\0\91\19\31\129\88\0",
	3862, "\118\19\38\129\81\0\106\19\38\129\81\0\106\19\38\129\88\0\77\19\38\129\88\0\91\19\38\129\88\0",
	4023, "\118\19\45\129\81\0\106\19\45\129\81\0\106\19\45\129\88\0\77\19\45\129\88\0\91\19\45\129\88\0",
	4184, "\118\19\52\129\81\0\106\19\52\129\81\0\106\19\52\129\88\0\77\19\52\129\88\0\91\19\52\129\88\0",
	4345, "\118\19\59\129\81\0\106\19\59\129\81\0\106\19\59\129\88\0\77\19\59\129\88\0\91\19\59\129\88\0",
	4506, "\118\19\66\129\81\0\106\19\66\129\81\0\106\19\66\129\88\0\77\19\66\129\88\0\91\19\66\129\88\0",
	4667, "\118\19\73\129\81\0\106\19\73\129\81\0\106\19\73\129\88\0\77\19\73\129\88\0\91\19\73\129\88\0",
	4828, "\119\25\129\86\0\107\25\129\86\0\107\25\129\87\0\78\25\129\87\0\92\25\129\87\0",
	4989, "\119\30\4\129\82\0\107\30\4\129\82\0\107\30\4\129\83\0\78\30\4\129\83\0\92\30\4\129\83\0",
	5150, "\119\30\20\129\81\0\107\30\20\129\81\0\107\30\20\129\88\0\78\30\20\129\88\0\92\30\20\129\88\0",
	5311, "\119\30\31\129\81\0\107\30\31\129\81\0\107\30\31\129\88\0\78\30\31\129\88\0\92\30\31\129\88\0",
	5472, "\119\30\38\129\81\0\107\30\38\129\81\0\107\30\38\129\88\0\78\30\38\129\88\0\92\30\38\129\88\0",
	5633, "\119\30\45\129\81\0\107\30\45\129\81\0\107\30\45\129\88\0\78\30\45\129\88\0\92\30\45\129\88\0",
	5794, "\119\30\52\129\81\0\107\30\52\129\81\0\107\30\52\129\88\0\78\30\52\129\88\0\92\30\52\129\88\0",
	5955, "\119\30\59\129\81\0\107\30\59\129\81\0\107\30\59\129\88\0\78\30\59\129\88\0\92\30\59\129\88\0",
	6116, "\119\30\66\129\81\0\107\30\66\129\81\0\107\30\66\129\88\0\78\30\66\129\88\0\92\30\66\129\88\0",
	6276, "\119\30\73\129\81\0\107\30\73\129\81\0\107\30\73\129\88\0\78\30\73\129\88\0\92\30\73\129\88\0",
	6437, "\120\32\129\86\0\108\32\129\86\0\108\32\129\87\0\79\32\129\87\0\93\32\129\87\0",
	6598, "\120\37\4\129\82\0\108\37\4\129\82\0\108\37\4\129\83\0\79\37\4\129\83\0\93\37\4\129\83\0",
	6759, "\120\37\20\129\81\0\108\37\20\129\81\0\108\37\20\129\88\0\79\37\20\129\88\0\93\37\20\129\88\0",
	6920, "\120\37\31\129\81\0\108\37\31\129\81\0\108\37\31\129\88\0\79\37\31\129\88\0\93\37\31\129\88\0",
	7081, "\120\37\38\129\81\0\108\37\38\129\81\0\108\37\38\129\88\0\79\37\38\129\88\0\93\37\38\129\88\0",
	7242, "\120\37\45\129\81\0\108\37\45\129\81\0\108\37\45\129\88\0\79\37\45\129\88\0\93\37\45\129\88\0",
	7403, "\120\37\52\129\81\0\108\37\52\129\81\0\108\37\52\129\88\0\79\37\52\129\88\0\93\37\52\129\88\0",
	7564, "\120\37\59\129\81\0\108\37\59\129\81\0\108\37\59\129\88\0\79\37\59\129\88\0\93\37\59\129\88\0",
	7725, "\120\37\66\129\81\0\108\37\66\129\81\0\108\37\66\129\88\0\79\37\66\129\88\0\93\37\66\129\88\0",
	7886, "\120\37\73\129\81\0\108\37\73\129\81\0\108\37\73\129\88\0\79\37\73\129\88\0\93\37\73\129\88\0",
	8047, "\122\39\129\99\0\110\39\129\99\0\110\39\129\100\0\81\39\129\100\0\95\39\129\100\0",
	8208, "\122\44\4\129\82\0\110\44\4\129\82\0\110\44\4\129\83\0\81\44\4\129\83\0\95\44\4\129\83\0",
	8369, "\122\44\20\129\81\0\110\44\20\129\81\0\110\44\20\129\88\0\81\44\20\129\88\0\95\44\20\129\88\0",
	8530, "\122\44\31\129\81\0\110\44\31\129\81\0\110\44\31\129\88\0\81\44\31\129\88\0\95\44\31\129\88\0",
	8690, "\122\44\38\129\81\0\110\44\38\129\81\0\110\44\38\129\88\0\81\44\38\129\88\0\95\44\38\129\88\0",
	8851, "\122\44\45\129\81\0\110\44\45\129\81\0\110\44\45\129\88\0\81\44\45\129\88\0\95\44\45\129\88\0",
	9012, "\122\44\52\129\81\0\110\44\52\129\81\0\110\44\52\129\88\0\81\44\52\129\88\0\95\44\52\129\88\0",
	9173, "\122\44\59\129\81\0\110\44\59\129\81\0\110\44\59\129\88\0\81\44\59\129\88\0\95\44\59\129\88\0",
	9334, "\122\44\66\129\81\0\110\44\66\129\81\0\110\44\66\129\88\0\81\44\66\129\88\0\95\44\66\129\88\0",
	9495, "\122\44\73\129\81\0\110\44\73\129\81\0\110\44\73\129\88\0\81\44\73\129\88\0\95\44\73\129\88\0",
	9656, "\123\46\129\99\0\111\46\129\99\0\111\46\129\100\0\82\46\129\100\0\96\46\129\100\0",
	9817, "\123\51\4\129\82\0\111\51\4\129\82\0\111\51\4\129\83\0\82\51\4\129\83\0\96\51\4\129\83\0",
	9978, "\123\51\20\129\81\0\111\51\20\129\81\0\111\51\20\129\88\0\82\51\20\129\88\0\96\51\20\129\88\0",
	10139, "\123\51\31\129\81\0\111\51\31\129\81\0\111\51\31\129\88\0\82\51\31\129\88\0\96\51\31\129\88\0",
	10300, "\123\51\38\129\81\0\111\51\38\129\81\0\111\51\38\129\88\0\82\51\38\129\88\0\96\51\38\129\88\0",
	10461, "\123\51\45\129\81\0\111\51\45\129\81\0\111\51\45\129\88\0\82\51\45\129\88\0\96\51\45\129\88\0",
	10622, "\123\51\52\129\81\0\111\51\52\129\81\0\111\51\52\129\88\0\82\51\52\129\88\0\96\51\52\129\88\0",
	10783, "\123\51\59\129\81\0\111\51\59\129\81\0\111\51\59\129\88\0\82\51\59\129\88\0\96\51\59\129\88\0",
	10944, "\123\51\66\129\81\0\111\51\66\129\81\0\111\51\66\129\88\0\82\51\66\129\88\0\96\51\66\129\88\0",
	11104, "\123\51\73\129\81\0\111\51\73\129\81\0\111\51\73\129\88\0\82\51\73\129\88\0\96\51\73\129\88\0",
	11265, "\124\53\129\103\0\112\53\129\103\0\112\53\129\104\0\83\53\129\104\0\97\53\129\104\0",
	11426, "\124\58\4\129\82\0\112\58\4\129\82\0\112\58\4\129\83\0\83\58\4\129\83\0\97\58\4\129\83\0",
	11587, "\124\58\20\129\81\0\112\58\20\129\81\0\112\58\20\129\88\0\83\58\20\129\88\0\97\58\20\129\88\0",
	11748, "\124\58\31\129\81\0\112\58\31\129\81\0\112\58\31\129\88\0\83\58\31\129\88\0\97\58\31\129\88\0",
	11909, "\124\58\38\129\81\0\112\58\38\129\81\0\112\58\38\129\88\0\83\58\38\129\88\0\97\58\38\129\88\0",
	12070, "\124\58\45\129\81\0\112\58\45\129\81\0\112\58\45\129\88\0\83\58\45\129\88\0\97\58\45\129\88\0",
	12231, "\124\58\52\129\81\0\112\58\52\129\81\0\112\58\52\129\88\0\83\58\52\129\88\0\97\58\52\129\88\0",
	12392, "\124\58\59\129\81\0\112\58\59\129\81\0\112\58\59\129\88\0\83\58\59\129\88\0\97\58\59\129\88\0",
	12553, "\124\58\66\129\81\0\112\58\66\129\81\0\112\58\66\129\88\0\83\58\66\129\88\0\97\58\66\129\88\0",
	12714, "\124\58\73\129\81\0\112\58\73\129\81\0\112\58\73\129\88\0\83\58\73\129\88\0\97\58\73\129\88\0",
	12875, "\125\60\129\103\0\113\60\129\103\0\113\60\129\104\0\84\60\129\104\0\98\60\129\104\0",
	13036, "\125\65\4\129\82\0\113\65\4\129\82\0\113\65\4\129\83\0\84\65\4\129\83\0\98\65\4\129\83\0",
	13197, "\125\65\20\129\81\0\113\65\20\129\81\0\113\65\20\129\88\0\84\65\20\129\88\0\98\65\20\129\88\0",
	13358, "\125\65\31\129\81\0\113\65\31\129\81\0\113\65\31\129\88\0\84\65\31\129\88\0\98\65\31\129\88\0",
	13518, "\125\65\38\129\81\0\113\65\38\129\81\0\113\65\38\129\88\0\84\65\38\129\88\0\98\65\38\129\88\0",
	13679, "\125\65\45\129\81\0\113\65\45\129\81\0\113\65\45\129\88\0\84\65\45\129\88\0\98\65\45\129\88\0",
	13840, "\125\65\52\129\81\0\113\65\52\129\81\0\113\65\52\129\88\0\84\65\52\129\88\0\98\65\52\129\88\0",
	14001, "\125\65\59\129\81\0\113\65\59\129\81\0\113\65\59\129\88\0\84\65\59\129\88\0\98\65\59\129\88\0",
	14162, "\125\65\66\129\81\0\113\65\66\129\81\0\113\65\66\129\88\0\84\65\66\129\88\0\98\65\66\129\88\0",
	14323, "\125\65\73\129\81\0\113\65\73\129\81\0\113\65\73\129\88\0\84\65\73\129\88\0\98\65\73\129\88\0",
	14484, "\126\67\129\105\0\114\67\129\105\0\114\67\129\106\0\85\67\129\106\0\99\67\129\106\0",
	14645, "\126\72\4\129\82\0\114\72\4\129\82\0\114\72\4\129\83\0\85\72\4\129\83\0\99\72\4\129\83\0",
	14806, "\126\72\20\129\81\0\114\72\20\129\81\0\114\72\20\129\88\0\85\72\20\129\88\0\99\72\20\129\88\0",
	14967, "\126\72\31\129\81\0\114\72\31\129\81\0\114\72\31\129\88\0\85\72\31\129\88\0\99\72\31\129\88\0",
	15128, "\126\72\38\129\81\0\114\72\38\129\81\0\114\72\38\129\88\0\85\72\38\129\88\0\99\72\38\129\88\0",
	15289, "\126\72\45\129\81\0\114\72\45\129\81\0\114\72\45\129\88\0\85\72\45\129\88\0\99\72\45\129\88\0",
	15450, "\126\72\52\129\81\0\114\72\52\129\81\0\114\72\52\129\88\0\85\72\52\129\88\0\99\72\52\129\88\0",
	15611, "\126\72\59\129\81\0\114\72\59\129\81\0\114\72\59\129\88\0\85\72\59\129\88\0\99\72\59\129\88\0",
	15772, "\126\72\66\129\81\0\114\72\66\129\81\0\114\72\66\129\88\0\85\72\66\129\88\0\99\72\66\129\88\0",
	15933, "\126\72\73\129\81\0\114\72\73\129\81\0\114\72\73\129\88\0\85\72\73\129\88\0\99\72\73\129\88\0",
	16093, "\116\5\129\105\0\104\5\129\105\0\104\5\129\106\0\75\5\129\106\0\89\5\129\106\0",
	17703, "\115\9\129\89\0\103\9\129\89\0\103\9\129\90\0\74\9\129\90\0\88\9\129\90\0",
	19312, "\115\10\129\89\0\103\10\129\89\0\103\10\129\90\0\74\10\129\90\0\88\10\129\90\0",
	20921, "\115\11\129\89\0\103\11\129\89\0\103\11\129\90\0\74\11\129\90\0\88\11\129\90\0",
	22531, "\115\12\129\89\0\103\12\129\89\0\103\12\129\90\0\74\12\129\90\0\88\12\129\90\0",
	24140, "\115\13\129\89\0\103\13\129\89\0\103\13\129\90\0\74\13\129\90\0\88\13\129\90\0",
	25750, "\115\14\129\89\0\103\14\129\89\0\103\14\129\90\0\74\14\129\90\0\88\14\129\90\0",
	27359, "\115\15\129\89\0\103\15\129\89\0\103\15\129\90\0\74\15\129\90\0\88\15\129\90\0",
	28968, "\115\16\129\89\0\103\16\129\89\0\103\16\129\90\0\74\16\129\90\0\88\16\129\90\0",
	30578, "\115\17\129\89\0\103\17\129\89\0\103\17\129\90\0\74\17\129\90\0\88\17\129\90\0",
	32187, "\118\21\129\89\0\106\21\129\89\0\106\21\129\90\0\77\21\129\90\0\91\21\129\90\0",
	33796, "\118\24\129\3\129\79\0\106\24\129\3\129\79\0\106\24\129\3\129\80\0\77\24\129\3\129\80\0\91\24\129\3\129\80\0",
	35406, "\118\24\129\5\129\84\0\106\24\129\5\129\84\0\106\24\129\5\129\85\0\77\24\129\5\129\85\0\91\24\129\5\129\85\0",
	37015, "\118\24\129\7\129\86\0\106\24\129\7\129\86\0\106\24\129\7\129\87\0\77\24\129\7\129\87\0\91\24\129\7\129\87\0",
	38624, "\118\24\129\9\129\86\0\106\24\129\9\129\86\0\106\24\129\9\129\87\0\77\24\129\9\129\87\0\91\24\129\9\129\87\0",
	40234, "\118\24\129\11\129\99\0\106\24\129\11\129\99\0\106\24\129\11\129\100\0\77\24\129\11\129\100\0\91\24\129\11\129\100\0",
	41843, "\118\24\129\13\129\99\0\106\24\129\13\129\99\0\106\24\129\13\129\100\0\77\24\129\13\129\100\0\91\24\129\13\129\100\0",
	43452, "\118\24\129\15\129\103\0\106\24\129\15\129\103\0\106\24\129\15\129\104\0\77\24\129\15\129\104\0\91\24\129\15\129\104\0",
	45062, "\118\24\129\17\129\103\0\106\24\129\17\129\103\0\106\24\129\17\129\104\0\77\24\129\17\129\104\0\91\24\129\17\129\104\0",
	46671, "\118\24\129\19\129\105\0\106\24\129\19\129\105\0\106\24\129\19\129\106\0\77\24\129\19\129\106\0\91\24\129\19\129\106\0",
	48280, "\119\26\129\89\0\107\26\129\89\0\107\26\129\90\0\78\26\129\90\0\92\26\129\90\0",
	49890, "\119\29\129\3\129\79\0\107\29\129\3\129\79\0\107\29\129\3\129\80\0\78\29\129\3\129\80\0\92\29\129\3\129\80\0",
	51499, "\119\29\129\5\129\84\0\107\29\129\5\129\84\0\107\29\129\5\129\85\0\78\29\129\5\129\85\0\92\29\129\5\129\85\0",
	53108, "\119\29\129\7\129\86\0\107\29\129\7\129\86\0\107\29\129\7\129\87\0\78\29\129\7\129\87\0\92\29\129\7\129\87\0",
	54718, "\119\29\129\9\129\86\0\107\29\129\9\129\86\0\107\29\129\9\129\87\0\78\29\129\9\129\87\0\92\29\129\9\129\87\0",
	56327, "\119\29\129\11\129\99\0\107\29\129\11\129\99\0\107\29\129\11\129\100\0\78\29\129\11\129\100\0\92\29\129\11\129\100\0",
	57936, "\119\29\129\13\129\99\0\107\29\129\13\129\99\0\107\29\129\13\129\100\0\78\29\129\13\129\100\0\92\29\129\13\129\100\0",
	59546, "\119\29\129\15\129\103\0\107\29\129\15\129\103\0\107\29\129\15\129\104\0\78\29\129\15\129\104\0\92\29\129\15\129\104\0",
	61155, "\119\29\129\17\129\103\0\107\29\129\17\129\103\0\107\29\129\17\129\104\0\78\29\129\17\129\104\0\92\29\129\17\129\104\0",
	62764, "\119\29\129\19\129\105\0\107\29\129\19\129\105\0\107\29\129\19\129\106\0\78\29\129\19\129\106\0\92\29\129\19\129\106\0",
	64374, "\121\33\129\95\0\109\33\129\95\0\109\33\129\96\0\80\33\129\96\0\94\33\129\96\0",
	65983, "\121\36\129\3\129\79\0\109\36\129\3\129\79\0\109\36\129\3\129\80\0\80\36\129\3\129\80\0\94\36\129\3\129\80\0",
	67592, "\121\36\129\5\129\84\0\109\36\129\5\129\84\0\109\36\129\5\129\85\0\80\36\129\5\129\85\0\94\36\129\5\129\85\0",
	69202, "\121\36\129\7\129\86\0\109\36\129\7\129\86\0\109\36\129\7\129\87\0\80\36\129\7\129\87\0\94\36\129\7\129\87\0",
	70811, "\121\36\129\9\129\86\0\109\36\129\9\129\86\0\109\36\129\9\129\87\0\80\36\129\9\129\87\0\94\36\129\9\129\87\0",
	72420, "\121\36\129\11\129\99\0\109\36\129\11\129\99\0\109\36\129\11\129\100\0\80\36\129\11\129\100\0\94\36\129\11\129\100\0",
	74030, "\121\36\129\13\129\99\0\109\36\129\13\129\99\0\109\36\129\13\129\100\0\80\36\129\13\129\100\0\94\36\129\13\129\100\0",
	75639, "\121\36\129\15\129\103\0\109\36\129\15\129\103\0\109\36\129\15\129\104\0\80\36\129\15\129\104\0\94\36\129\15\129\104\0",
	77249, "\121\36\129\17\129\103\0\109\36\129\17\129\103\0\109\36\129\17\129\104\0\80\36\129\17\129\104\0\94\36\129\17\129\104\0",
	78858, "\121\36\129\19\129\105\0\109\36\129\19\129\105\0\109\36\129\19\129\106\0\80\36\129\19\129\106\0\94\36\129\19\129\106\0",
	80467, "\122\40\129\101\0\110\40\129\101\0\110\40\129\102\0\81\40\129\102\0\95\40\129\102\0",
	82077, "\122\43\129\3\129\79\0\110\43\129\3\129\79\0\110\43\129\3\129\80\0\81\43\129\3\129\80\0\95\43\129\3\129\80\0",
	83686, "\122\43\129\5\129\84\0\110\43\129\5\129\84\0\110\43\129\5\129\85\0\81\43\129\5\129\85\0\95\43\129\5\129\85\0",
	85295, "\122\43\129\7\129\86\0\110\43\129\7\129\86\0\110\43\129\7\129\87\0\81\43\129\7\129\87\0\95\43\129\7\129\87\0",
	86905, "\122\43\129\9\129\86\0\110\43\129\9\129\86\0\110\43\129\9\129\87\0\81\43\129\9\129\87\0\95\43\129\9\129\87\0",
	88514, "\122\43\129\11\129\99\0\110\43\129\11\129\99\0\110\43\129\11\129\100\0\81\43\129\11\129\100\0\95\43\129\11\129\100\0",
	90123, "\122\43\129\13\129\99\0\110\43\129\13\129\99\0\110\43\129\13\129\100\0\81\43\129\13\129\100\0\95\43\129\13\129\100\0",
	91733, "\122\43\129\15\129\103\0\110\43\129\15\129\103\0\110\43\129\15\129\104\0\81\43\129\15\129\104\0\95\43\129\15\129\104\0",
	93342, "\122\43\129\17\129\103\0\110\43\129\17\129\103\0\110\43\129\17\129\104\0\81\43\129\17\129\104\0\95\43\129\17\129\104\0",
	94951, "\122\43\129\19\129\105\0\110\43\129\19\129\105\0\110\43\129\19\129\106\0\81\43\129\19\129\106\0\95\43\129\19\129\106\0",
	96561, "\123\47\129\101\0\111\47\129\101\0\111\47\129\102\0\82\47\129\102\0\96\47\129\102\0",
	98170, "\123\50\129\3\129\79\0\111\50\129\3\129\79\0\111\50\129\3\129\80\0\82\50\129\3\129\80\0\96\50\129\3\129\80\0",
	99779, "\123\50\129\5\129\84\0\111\50\129\5\129\84\0\111\50\129\5\129\85\0\82\50\129\5\129\85\0\96\50\129\5\129\85\0",
	101389, "\123\50\129\7\129\86\0\111\50\129\7\129\86\0\111\50\129\7\129\87\0\82\50\129\7\129\87\0\96\50\129\7\129\87\0",
	102998, "\123\50\129\9\129\86\0\111\50\129\9\129\86\0\111\50\129\9\129\87\0\82\50\129\9\129\87\0\96\50\129\9\129\87\0",
	104607, "\123\50\129\11\129\99\0\111\50\129\11\129\99\0\111\50\129\11\129\100\0\82\50\129\11\129\100\0\96\50\129\11\129\100\0",
	106217, "\123\50\129\13\129\99\0\111\50\129\13\129\99\0\111\50\129\13\129\100\0\82\50\129\13\129\100\0\96\50\129\13\129\100\0",
	107826, "\123\50\129\15\129\103\0\111\50\129\15\129\103\0\111\50\129\15\129\104\0\82\50\129\15\129\104\0\96\50\129\15\129\104\0",
	109435, "\123\50\129\17\129\103\0\111\50\129\17\129\103\0\111\50\129\17\129\104\0\82\50\129\17\129\104\0\96\50\129\17\129\104\0",
	111045, "\123\50\129\19\129\105\0\111\50\129\19\129\105\0\111\50\129\19\129\106\0\82\50\129\19\129\106\0\96\50\129\19\129\106\0",
	112654, "\124\54\129\101\0\112\54\129\101\0\112\54\129\102\0\83\54\129\102\0\97\54\129\102\0",
	114263, "\124\57\129\3\129\79\0\112\57\129\3\129\79\0\112\57\129\3\129\80\0\83\57\129\3\129\80\0\97\57\129\3\129\80\0",
	115873, "\124\57\129\5\129\84\0\112\57\129\5\129\84\0\112\57\129\5\129\85\0\83\57\129\5\129\85\0\97\57\129\5\129\85\0",
	117482, "\124\57\129\7\129\86\0\112\57\129\7\129\86\0\112\57\129\7\129\87\0\83\57\129\7\129\87\0\97\57\129\7\129\87\0",
	119091, "\124\57\129\9\129\86\0\112\57\129\9\129\86\0\112\57\129\9\129\87\0\83\57\129\9\129\87\0\97\57\129\9\129\87\0",
	120701, "\124\57\129\11\129\99\0\112\57\129\11\129\99\0\112\57\129\11\129\100\0\83\57\129\11\129\100\0\97\57\129\11\129\100\0",
	122310, "\124\57\129\13\129\99\0\112\57\129\13\129\99\0\112\57\129\13\129\100\0\83\57\129\13\129\100\0\97\57\129\13\129\100\0",
	123919, "\124\57\129\15\129\103\0\112\57\129\15\129\103\0\112\57\129\15\129\104\0\83\57\129\15\129\104\0\97\57\129\15\129\104\0",
	125529, "\124\57\129\17\129\103\0\112\57\129\17\129\103\0\112\57\129\17\129\104\0\83\57\129\17\129\104\0\97\57\129\17\129\104\0",
	127138, "\124\57\129\19\129\105\0\112\57\129\19\129\105\0\112\57\129\19\129\106\0\83\57\129\19\129\106\0\97\57\129\19\129\106\0",
	128748, "\125\61\129\101\0\113\61\129\101\0\113\61\129\102\0\84\61\129\102\0\98\61\129\102\0",
	130357, "\125\64\129\3\129\79\0\113\64\129\3\129\79\0\113\64\129\3\129\80\0\84\64\129\3\129\80\0\98\64\129\3\129\80\0",
	131966, "\125\64\129\5\129\84\0\113\64\129\5\129\84\0\113\64\129\5\129\85\0\84\64\129\5\129\85\0\98\64\129\5\129\85\0",
	133576, "\125\64\129\7\129\86\0\113\64\129\7\129\86\0\113\64\129\7\129\87\0\84\64\129\7\129\87\0\98\64\129\7\129\87\0",
	135185, "\125\64\129\9\129\86\0\113\64\129\9\129\86\0\113\64\129\9\129\87\0\84\64\129\9\129\87\0\98\64\129\9\129\87\0",
	136794, "\125\64\129\11\129\99\0\113\64\129\11\129\99\0\113\64\129\11\129\100\0\84\64\129\11\129\100\0\98\64\129\11\129\100\0",
	138404, "\125\64\129\13\129\99\0\113\64\129\13\129\99\0\113\64\129\13\129\100\0\84\64\129\13\129\100\0\98\64\129\13\129\100\0",
	140013, "\125\64\129\15\129\103\0\113\64\129\15\129\103\0\113\64\129\15\129\104\0\84\64\129\15\129\104\0\98\64\129\15\129\104\0",
	141622, "\125\64\129\17\129\103\0\113\64\129\17\129\103\0\113\64\129\17\129\104\0\84\64\129\17\129\104\0\98\64\129\17\129\104\0",
	143232, "\125\64\129\19\129\105\0\113\64\129\19\129\105\0\113\64\129\19\129\106\0\84\64\129\19\129\106\0\98\64\129\19\129\106\0",
	144841, "\126\68\129\107\0\114\68\129\107\0\114\68\129\108\0\85\68\129\108\0\99\68\129\108\0",
	146450, "\126\71\129\3\129\79\0\114\71\129\3\129\79\0\114\71\129\3\129\80\0\85\71\129\3\129\80\0\99\71\129\3\129\80\0",
	148060, "\126\71\129\5\129\84\0\114\71\129\5\129\84\0\114\71\129\5\129\85\0\85\71\129\5\129\85\0\99\71\129\5\129\85\0",
	149669, "\126\71\129\7\129\86\0\114\71\129\7\129\86\0\114\71\129\7\129\87\0\85\71\129\7\129\87\0\99\71\129\7\129\87\0",
	151278, "\126\71\129\9\129\86\0\114\71\129\9\129\86\0\114\71\129\9\129\87\0\85\71\129\9\129\87\0\99\71\129\9\129\87\0",
	152888, "\126\71\129\11\129\99\0\114\71\129\11\129\99\0\114\71\129\11\129\100\0\85\71\129\11\129\100\0\99\71\129\11\129\100\0",
	154497, "\126\71\129\13\129\99\0\114\71\129\13\129\99\0\114\71\129\13\129\100\0\85\71\129\13\129\100\0\99\71\129\13\129\100\0",
	156106, "\126\71\129\15\129\103\0\114\71\129\15\129\103\0\114\71\129\15\129\104\0\85\71\129\15\129\104\0\99\71\129\15\129\104\0",
	157716, "\126\71\129\17\129\103\0\114\71\129\17\129\103\0\114\71\129\17\129\104\0\85\71\129\17\129\104\0\99\71\129\17\129\104\0",
	159325, "\126\71\129\19\129\105\0\114\71\129\19\129\105\0\114\71\129\19\129\106\0\85\71\129\19\129\106\0\99\71\129\19\129\106\0",
	160934, "\117\6\129\107\0\105\6\129\107\0\105\6\129\108\0\76\6\129\108\0\90\6\129\108\0",
	177028, "\117\8\129\4\129\105\0\105\8\129\4\129\105\0\105\8\129\4\129\106\0\76\8\129\4\129\106\0\90\8\129\4\129\106\0",
	193121, "\117\8\129\6\129\89\0\105\8\129\6\129\89\0\105\8\129\6\129\90\0\76\8\129\6\129\90\0\90\8\129\6\129\90\0",
	209215, "\117\8\129\8\129\89\0\105\8\129\8\129\89\0\105\8\129\8\129\90\0\76\8\129\8\129\90\0\90\8\129\8\129\90\0",
	225308, "\117\8\129\10\129\95\0\105\8\129\10\129\95\0\105\8\129\10\129\96\0\76\8\129\10\129\96\0\90\8\129\10\129\96\0",
	241402, "\117\8\129\12\129\101\0\105\8\129\12\129\101\0\105\8\129\12\129\102\0\76\8\129\12\129\102\0\90\8\129\12\129\102\0",
	257495, "\117\8\129\14\129\101\0\105\8\129\14\129\101\0\105\8\129\14\129\102\0\76\8\129\14\129\102\0\90\8\129\14\129\102\0",
	273588, "\117\8\129\16\129\101\0\105\8\129\16\129\101\0\105\8\129\16\129\102\0\76\8\129\16\129\102\0\90\8\129\16\129\102\0",
	289682, "\117\8\129\18\129\101\0\105\8\129\18\129\101\0\105\8\129\18\129\102\0\76\8\129\18\129\102\0\90\8\129\18\129\102\0",
	305775, "\117\8\129\20\129\107\0\105\8\129\20\129\107\0\105\8\129\20\129\108\0\76\8\129\20\129\108\0\90\8\129\20\129\108\0",
	321869, "\118\22\129\91\0\106\22\129\91\0\106\22\129\92\0\77\22\129\92\0\91\22\129\92\0",
	337962, "\118\23\129\4\129\105\0\106\23\129\4\129\105\0\106\23\129\4\129\106\0\77\23\129\4\129\106\0\91\23\129\4\129\106\0",
	354056, "\118\23\129\6\129\89\0\106\23\129\6\129\89\0\106\23\129\6\129\90\0\77\23\129\6\129\90\0\91\23\129\6\129\90\0",
	370149, "\118\23\129\8\129\89\0\106\23\129\8\129\89\0\106\23\129\8\129\90\0\77\23\129\8\129\90\0\91\23\129\8\129\90\0",
	386243, "\118\23\129\10\129\95\0\106\23\129\10\129\95\0\106\23\129\10\129\96\0\77\23\129\10\129\96\0\91\23\129\10\129\96\0",
	402336, "\118\23\129\12\129\101\0\106\23\129\12\129\101\0\106\23\129\12\129\102\0\77\23\129\12\129\102\0\91\23\129\12\129\102\0",
	418429, "\118\23\129\14\129\101\0\106\23\129\14\129\101\0\106\23\129\14\129\102\0\77\23\129\14\129\102\0\91\23\129\14\129\102\0",
	434523, "\118\23\129\16\129\101\0\106\23\129\16\129\101\0\106\23\129\16\129\102\0\77\23\129\16\129\102\0\91\23\129\16\129\102\0",
	450616, "\118\23\129\18\129\101\0\106\23\129\18\129\101\0\106\23\129\18\129\102\0\77\23\129\18\129\102\0\91\23\129\18\129\102\0",
	466710, "\118\23\129\20\129\107\0\106\23\129\20\129\107\0\106\23\129\20\129\108\0\77\23\129\20\129\108\0\91\23\129\20\129\108\0",
	482803, "\119\27\129\93\0\107\27\129\93\0\107\27\129\94\0\78\27\129\94\0\92\27\129\94\0",
	498897, "\119\28\129\4\129\105\0\107\28\129\4\129\105\0\107\28\129\4\129\106\0\78\28\129\4\129\106\0\92\28\129\4\129\106\0",
	514990, "\119\28\129\6\129\89\0\107\28\129\6\129\89\0\107\28\129\6\129\90\0\78\28\129\6\129\90\0\92\28\129\6\129\90\0",
	531084, "\119\28\129\8\129\89\0\107\28\129\8\129\89\0\107\28\129\8\129\90\0\78\28\129\8\129\90\0\92\28\129\8\129\90\0",
	547177, "\119\28\129\10\129\95\0\107\28\129\10\129\95\0\107\28\129\10\129\96\0\78\28\129\10\129\96\0\92\28\129\10\129\96\0",
	563270, "\119\28\129\12\129\101\0\107\28\129\12\129\101\0\107\28\129\12\129\102\0\78\28\129\12\129\102\0\92\28\129\12\129\102\0",
	579364, "\119\28\129\14\129\101\0\107\28\129\14\129\101\0\107\28\129\14\129\102\0\78\28\129\14\129\102\0\92\28\129\14\129\102\0",
	595457, "\119\28\129\16\129\101\0\107\28\129\16\129\101\0\107\28\129\16\129\102\0\78\28\129\16\129\102\0\92\28\129\16\129\102\0",
	611551, "\119\28\129\18\129\101\0\107\28\129\18\129\101\0\107\28\129\18\129\102\0\78\28\129\18\129\102\0\92\28\129\18\129\102\0",
	627644, "\119\28\129\20\129\107\0\107\28\129\20\129\107\0\107\28\129\20\129\108\0\78\28\129\20\129\108\0\92\28\129\20\129\108\0",
	643738, "\120\34\129\93\0\109\34\129\93\0\109\34\129\94\0\79\34\129\94\0\93\34\129\94\0",
	659831, "\120\35\129\4\129\105\0\109\35\129\4\129\105\0\109\35\129\4\129\106\0\79\35\129\4\129\106\0\93\35\129\4\129\106\0",
	675924, "\120\35\129\6\129\89\0\109\35\129\6\129\89\0\109\35\129\6\129\90\0\79\35\129\6\129\90\0\93\35\129\6\129\90\0",
	692018, "\120\35\129\8\129\89\0\109\35\129\8\129\89\0\109\35\129\8\129\90\0\79\35\129\8\129\90\0\93\35\129\8\129\90\0",
	708111, "\120\35\129\10\129\95\0\109\35\129\10\129\95\0\109\35\129\10\129\96\0\79\35\129\10\129\96\0\93\35\129\10\129\96\0",
	724205, "\120\35\129\12\129\101\0\109\35\129\12\129\101\0\109\35\129\12\129\102\0\79\35\129\12\129\102\0\93\35\129\12\129\102\0",
	740298, "\120\35\129\14\129\101\0\109\35\129\14\129\101\0\109\35\129\14\129\102\0\79\35\129\14\129\102\0\93\35\129\14\129\102\0",
	756392, "\120\35\129\16\129\101\0\109\35\129\16\129\101\0\109\35\129\16\129\102\0\79\35\129\16\129\102\0\93\35\129\16\129\102\0",
	772485, "\120\35\129\18\129\101\0\109\35\129\18\129\101\0\109\35\129\18\129\102\0\79\35\129\18\129\102\0\93\35\129\18\129\102\0",
	788579, "\120\35\129\20\129\107\0\109\35\129\20\129\107\0\109\35\129\20\129\108\0\79\35\129\20\129\108\0\93\35\129\20\129\108\0",
	804672, "\122\41\129\97\0\110\41\129\97\0\110\41\129\98\0\81\41\129\98\0\95\41\129\98\0",
	820765, "\127\129\109\41\129\97\0\129\1\129\109\41\129\97\0\129\1\129\109\41\129\98\0\86\129\109\41\129\98\0\95\41\129\98\0",
}

distances.yards = {
	9, "\116\5\129\112\0\104\5\129\112\0\104\5\129\113\0\75\5\129\113\0\89\5\129\113\0",
	18, "\118\21\129\112\0\106\21\129\112\0\106\21\129\113\0\77\21\129\113\0\91\21\129\113\0",
	27, "\119\26\129\112\0\107\26\129\112\0\107\26\129\113\0\78\26\129\113\0\92\26\129\113\0",
	37, "\121\33\129\118\0\109\33\129\118\0\109\33\129\119\0\80\33\129\119\0\94\33\129\119\0",
	46, "\122\40\129\120\0\110\40\129\120\0\110\40\129\121\0\81\40\129\121\0\95\40\129\121\0",
	55, "\123\47\129\120\0\111\47\129\120\0\111\47\129\121\0\82\47\129\121\0\96\47\129\121\0",
	64, "\124\54\129\120\0\112\54\129\120\0\112\54\129\121\0\83\54\129\121\0\97\54\129\121\0",
	73, "\125\61\129\120\0\113\61\129\120\0\113\61\129\121\0\84\61\129\121\0\98\61\129\121\0",
	82, "\126\68\129\122\0\114\68\129\122\0\114\68\129\123\0\85\68\129\123\0\99\68\129\123\0",
	91, "\117\6\129\122\0\105\6\129\122\0\105\6\129\123\0\76\6\129\123\0\90\6\129\123\0",
	101, "\117\8\129\4\129\112\0\105\8\129\4\129\112\0\105\8\129\4\129\113\0\76\8\129\4\129\113\0\90\8\129\4\129\113\0",
	110, "\117\8\129\6\129\112\0\105\8\129\6\129\112\0\105\8\129\6\129\113\0\76\8\129\6\129\113\0\90\8\129\6\129\113\0",
	119, "\117\8\129\8\129\112\0\105\8\129\8\129\112\0\105\8\129\8\129\113\0\76\8\129\8\129\113\0\90\8\129\8\129\113\0",
	128, "\117\8\129\10\129\118\0\105\8\129\10\129\118\0\105\8\129\10\129\119\0\76\8\129\10\129\119\0\90\8\129\10\129\119\0",
	137, "\117\8\129\12\129\120\0\105\8\129\12\129\120\0\105\8\129\12\129\121\0\76\8\129\12\129\121\0\90\8\129\12\129\121\0",
	146, "\117\8\129\14\129\120\0\105\8\129\14\129\120\0\105\8\129\14\129\121\0\76\8\129\14\129\121\0\90\8\129\14\129\121\0",
	155, "\117\8\129\16\129\120\0\105\8\129\16\129\120\0\105\8\129\16\129\121\0\76\8\129\16\129\121\0\90\8\129\16\129\121\0",
	165, "\117\8\129\18\129\120\0\105\8\129\18\129\120\0\105\8\129\18\129\121\0\76\8\129\18\129\121\0\90\8\129\18\129\121\0",
	174, "\117\8\129\20\129\122\0\105\8\129\20\129\122\0\105\8\129\20\129\123\0\76\8\129\20\129\123\0\90\8\129\20\129\123\0",
	183, "\118\22\129\114\0\106\22\129\114\0\106\22\129\115\0\77\22\129\115\0\91\22\129\115\0",
	192, "\118\23\129\4\129\112\0\106\23\129\4\129\112\0\106\23\129\4\129\113\0\77\23\129\4\129\113\0\91\23\129\4\129\113\0",
	201, "\118\23\129\6\129\112\0\106\23\129\6\129\112\0\106\23\129\6\129\113\0\77\23\129\6\129\113\0\91\23\129\6\129\113\0",
	210, "\118\23\129\8\129\112\0\106\23\129\8\129\112\0\106\23\129\8\129\113\0\77\23\129\8\129\113\0\91\23\129\8\129\113\0",
	219, "\118\23\129\10\129\118\0\106\23\129\10\129\118\0\106\23\129\10\129\119\0\77\23\129\10\129\119\0\91\23\129\10\129\119\0",
	229, "\118\23\129\12\129\120\0\106\23\129\12\129\120\0\106\23\129\12\129\121\0\77\23\129\12\129\121\0\91\23\129\12\129\121\0",
	238, "\118\23\129\14\129\120\0\106\23\129\14\129\120\0\106\23\129\14\129\121\0\77\23\129\14\129\121\0\91\23\129\14\129\121\0",
	247, "\118\23\129\16\129\120\0\106\23\129\16\129\120\0\106\23\129\16\129\121\0\77\23\129\16\129\121\0\91\23\129\16\129\121\0",
	256, "\118\23\129\18\129\120\0\106\23\129\18\129\120\0\106\23\129\18\129\121\0\77\23\129\18\129\121\0\91\23\129\18\129\121\0",
	265, "\118\23\129\20\129\122\0\106\23\129\20\129\122\0\106\23\129\20\129\123\0\77\23\129\20\129\123\0\91\23\129\20\129\123\0",
	274, "\119\27\129\116\0\107\27\129\116\0\107\27\129\117\0\78\27\129\117\0\92\27\129\117\0",
	283, "\119\28\129\4\129\112\0\107\28\129\4\129\112\0\107\28\129\4\129\113\0\78\28\129\4\129\113\0\92\28\129\4\129\113\0",
	293, "\119\28\129\6\129\112\0\107\28\129\6\129\112\0\107\28\129\6\129\113\0\78\28\129\6\129\113\0\92\28\129\6\129\113\0",
	302, "\119\28\129\8\129\112\0\107\28\129\8\129\112\0\107\28\129\8\129\113\0\78\28\129\8\129\113\0\92\28\129\8\129\113\0",
	311, "\119\28\129\10\129\118\0\107\28\129\10\129\118\0\107\28\129\10\129\119\0\78\28\129\10\129\119\0\92\28\129\10\129\119\0",
	320, "\119\28\129\12\129\120\0\107\28\129\12\129\120\0\107\28\129\12\129\121\0\78\28\129\12\129\121\0\92\28\129\12\129\121\0",
	329, "\119\28\129\14\129\120\0\107\28\129\14\129\120\0\107\28\129\14\129\121\0\78\28\129\14\129\121\0\92\28\129\14\129\121\0",
	338, "\119\28\129\16\129\120\0\107\28\129\16\129\120\0\107\28\129\16\129\121\0\78\28\129\16\129\121\0\92\28\129\16\129\121\0",
	347, "\119\28\129\18\129\120\0\107\28\129\18\129\120\0\107\28\129\18\129\121\0\78\28\129\18\129\121\0\92\28\129\18\129\121\0",
	357, "\119\28\129\20\129\122\0\107\28\129\20\129\122\0\107\28\129\20\129\123\0\78\28\129\20\129\123\0\92\28\129\20\129\123\0",
	366, "\120\34\129\116\0\108\34\129\116\0\108\34\129\117\0\79\34\129\117\0\93\34\129\117\0",
	402, "\120\101\0\108\101\0\108\102\0\79\102\0\93\102\0",
	644, "\129\0\1\38\129\81\0\129\2\1\38\129\81\0\129\2\1\38\129\88\0\87\1\38\129\88\0\100\1\38\129\88\0",
	805, "\122\129\33\0\110\129\33\0\110\129\34\0\81\129\34\0\95\129\34\0",
	966, "\129\0\1\52\129\81\0\129\2\1\52\129\81\0\129\2\1\52\129\88\0\87\1\52\129\88\0\100\1\52\129\88\0",
	1127, "\119\129\110\0\107\129\110\0\107\129\111\0\78\129\111\0\92\129\111\0",
	1448, "\129\0\1\73\129\81\0\129\2\1\73\129\81\0\129\2\1\73\129\88\0\87\1\73\129\88\0\100\1\73\129\88\0",
	1609, "\115\2\129\79\0\103\2\129\79\0\103\2\129\80\0\74\2\129\80\0\88\2\129\80\0",
	1770, "\115\3\4\129\82\0\103\3\4\129\82\0\103\3\4\129\83\0\74\3\4\129\83\0\88\3\4\129\83\0",
	1931, "\115\3\20\129\81\0\103\3\20\129\81\0\103\3\20\129\88\0\74\3\20\129\88\0\88\3\20\129\88\0",
	2092, "\115\3\31\129\81\0\103\3\31\129\81\0\103\3\31\129\88\0\74\3\31\129\88\0\88\3\31\129\88\0",
	2253, "\115\3\38\129\81\0\103\3\38\129\81\0\103\3\38\129\88\0\74\3\38\129\88\0\88\3\38\129\88\0",
	2414, "\115\3\45\129\81\0\103\3\45\129\81\0\103\3\45\129\88\0\74\3\45\129\88\0\88\3\45\129\88\0",
	2575, "\115\3\52\129\81\0\103\3\52\129\81\0\103\3\52\129\88\0\74\3\52\129\88\0\88\3\52\129\88\0",
	2736, "\115\3\59\129\81\0\103\3\59\129\81\0\103\3\59\129\88\0\74\3\59\129\88\0\88\3\59\129\88\0",
	2897, "\115\3\66\129\81\0\103\3\66\129\81\0\103\3\66\129\88\0\74\3\66\129\88\0\88\3\66\129\88\0",
	3058, "\115\3\73\129\81\0\103\3\73\129\81\0\103\3\73\129\88\0\74\3\73\129\88\0\88\3\73\129\88\0",
	3219, "\118\18\129\84\0\106\18\129\84\0\106\18\129\85\0\77\18\129\85\0\91\18\129\85\0",
	3380, "\118\19\4\129\82\0\106\19\4\129\82\0\106\19\4\129\83\0\77\19\4\129\83\0\91\19\4\129\83\0",
	3541, "\118\19\20\129\81\0\106\19\20\129\81\0\106\19\20\129\88\0\77\19\20\129\88\0\91\19\20\129\88\0",
	3701, "\118\19\31\129\81\0\106\19\31\129\81\0\106\19\31\129\88\0\77\19\31\129\88\0\91\19\31\129\88\0",
	3862, "\118\19\38\129\81\0\106\19\38\129\81\0\106\19\38\129\88\0\77\19\38\129\88\0\91\19\38\129\88\0",
	4023, "\118\19\45\129\81\0\106\19\45\129\81\0\106\19\45\129\88\0\77\19\45\129\88\0\91\19\45\129\88\0",
	4184, "\118\19\52\129\81\0\106\19\52\129\81\0\106\19\52\129\88\0\77\19\52\129\88\0\91\19\52\129\88\0",
	4345, "\118\19\59\129\81\0\106\19\59\129\81\0\106\19\59\129\88\0\77\19\59\129\88\0\91\19\59\129\88\0",
	4506, "\118\19\66\129\81\0\106\19\66\129\81\0\106\19\66\129\88\0\77\19\66\129\88\0\91\19\66\129\88\0",
	4667, "\118\19\73\129\81\0\106\19\73\129\81\0\106\19\73\129\88\0\77\19\73\129\88\0\91\19\73\129\88\0",
	4828, "\119\25\129\86\0\107\25\129\86\0\107\25\129\87\0\78\25\129\87\0\92\25\129\87\0",
	4989, "\119\30\4\129\82\0\107\30\4\129\82\0\107\30\4\129\83\0\78\30\4\129\83\0\92\30\4\129\83\0",
	5150, "\119\30\20\129\81\0\107\30\20\129\81\0\107\30\20\129\88\0\78\30\20\129\88\0\92\30\20\129\88\0",
	5311, "\119\30\31\129\81\0\107\30\31\129\81\0\107\30\31\129\88\0\78\30\31\129\88\0\92\30\31\129\88\0",
	5472, "\119\30\38\129\81\0\107\30\38\129\81\0\107\30\38\129\88\0\78\30\38\129\88\0\92\30\38\129\88\0",
	5633, "\119\30\45\129\81\0\107\30\45\129\81\0\107\30\45\129\88\0\78\30\45\129\88\0\92\30\45\129\88\0",
	5794, "\119\30\52\129\81\0\107\30\52\129\81\0\107\30\52\129\88\0\78\30\52\129\88\0\92\30\52\129\88\0",
	5955, "\119\30\59\129\81\0\107\30\59\129\81\0\107\30\59\129\88\0\78\30\59\129\88\0\92\30\59\129\88\0",
	6116, "\119\30\66\129\81\0\107\30\66\129\81\0\107\30\66\129\88\0\78\30\66\129\88\0\92\30\66\129\88\0",
	6276, "\119\30\73\129\81\0\107\30\73\129\81\0\107\30\73\129\88\0\78\30\73\129\88\0\92\30\73\129\88\0",
	6437, "\120\32\129\86\0\108\32\129\86\0\108\32\129\87\0\79\32\129\87\0\93\32\129\87\0",
	6598, "\120\37\4\129\82\0\108\37\4\129\82\0\108\37\4\129\83\0\79\37\4\129\83\0\93\37\4\129\83\0",
	6759, "\120\37\20\129\81\0\108\37\20\129\81\0\108\37\20\129\88\0\79\37\20\129\88\0\93\37\20\129\88\0",
	6920, "\120\37\31\129\81\0\108\37\31\129\81\0\108\37\31\129\88\0\79\37\31\129\88\0\93\37\31\129\88\0",
	7081, "\120\37\38\129\81\0\108\37\38\129\81\0\108\37\38\129\88\0\79\37\38\129\88\0\93\37\38\129\88\0",
	7242, "\120\37\45\129\81\0\108\37\45\129\81\0\108\37\45\129\88\0\79\37\45\129\88\0\93\37\45\129\88\0",
	7403, "\120\37\52\129\81\0\108\37\52\129\81\0\108\37\52\129\88\0\79\37\52\129\88\0\93\37\52\129\88\0",
	7564, "\120\37\59\129\81\0\108\37\59\129\81\0\108\37\59\129\88\0\79\37\59\129\88\0\93\37\59\129\88\0",
	7725, "\120\37\66\129\81\0\108\37\66\129\81\0\108\37\66\129\88\0\79\37\66\129\88\0\93\37\66\129\88\0",
	7886, "\120\37\73\129\81\0\108\37\73\129\81\0\108\37\73\129\88\0\79\37\73\129\88\0\93\37\73\129\88\0",
	8047, "\122\39\129\99\0\110\39\129\99\0\110\39\129\100\0\81\39\129\100\0\95\39\129\100\0",
	8208, "\122\44\4\129\82\0\110\44\4\129\82\0\110\44\4\129\83\0\81\44\4\129\83\0\95\44\4\129\83\0",
	8369, "\122\44\20\129\81\0\110\44\20\129\81\0\110\44\20\129\88\0\81\44\20\129\88\0\95\44\20\129\88\0",
	8530, "\122\44\31\129\81\0\110\44\31\129\81\0\110\44\31\129\88\0\81\44\31\129\88\0\95\44\31\129\88\0",
	8690, "\122\44\38\129\81\0\110\44\38\129\81\0\110\44\38\129\88\0\81\44\38\129\88\0\95\44\38\129\88\0",
	8851, "\122\44\45\129\81\0\110\44\45\129\81\0\110\44\45\129\88\0\81\44\45\129\88\0\95\44\45\129\88\0",
	9012, "\122\44\52\129\81\0\110\44\52\129\81\0\110\44\52\129\88\0\81\44\52\129\88\0\95\44\52\129\88\0",
	9173, "\122\44\59\129\81\0\110\44\59\129\81\0\110\44\59\129\88\0\81\44\59\129\88\0\95\44\59\129\88\0",
	9334, "\122\44\66\129\81\0\110\44\66\129\81\0\110\44\66\129\88\0\81\44\66\129\88\0\95\44\66\129\88\0",
	9495, "\122\44\73\129\81\0\110\44\73\129\81\0\110\44\73\129\88\0\81\44\73\129\88\0\95\44\73\129\88\0",
	9656, "\123\46\129\99\0\111\46\129\99\0\111\46\129\100\0\82\46\129\100\0\96\46\129\100\0",
	9817, "\123\51\4\129\82\0\111\51\4\129\82\0\111\51\4\129\83\0\82\51\4\129\83\0\96\51\4\129\83\0",
	9978, "\123\51\20\129\81\0\111\51\20\129\81\0\111\51\20\129\88\0\82\51\20\129\88\0\96\51\20\129\88\0",
	10139, "\123\51\31\129\81\0\111\51\31\129\81\0\111\51\31\129\88\0\82\51\31\129\88\0\96\51\31\129\88\0",
	10300, "\123\51\38\129\81\0\111\51\38\129\81\0\111\51\38\129\88\0\82\51\38\129\88\0\96\51\38\129\88\0",
	10461, "\123\51\45\129\81\0\111\51\45\129\81\0\111\51\45\129\88\0\82\51\45\129\88\0\96\51\45\129\88\0",
	10622, "\123\51\52\129\81\0\111\51\52\129\81\0\111\51\52\129\88\0\82\51\52\129\88\0\96\51\52\129\88\0",
	10783, "\123\51\59\129\81\0\111\51\59\129\81\0\111\51\59\129\88\0\82\51\59\129\88\0\96\51\59\129\88\0",
	10944, "\123\51\66\129\81\0\111\51\66\129\81\0\111\51\66\129\88\0\82\51\66\129\88\0\96\51\66\129\88\0",
	11104, "\123\51\73\129\81\0\111\51\73\129\81\0\111\51\73\129\88\0\82\51\73\129\88\0\96\51\73\129\88\0",
	11265, "\124\53\129\103\0\112\53\129\103\0\112\53\129\104\0\83\53\129\104\0\97\53\129\104\0",
	11426, "\124\58\4\129\82\0\112\58\4\129\82\0\112\58\4\129\83\0\83\58\4\129\83\0\97\58\4\129\83\0",
	11587, "\124\58\20\129\81\0\112\58\20\129\81\0\112\58\20\129\88\0\83\58\20\129\88\0\97\58\20\129\88\0",
	11748, "\124\58\31\129\81\0\112\58\31\129\81\0\112\58\31\129\88\0\83\58\31\129\88\0\97\58\31\129\88\0",
	11909, "\124\58\38\129\81\0\112\58\38\129\81\0\112\58\38\129\88\0\83\58\38\129\88\0\97\58\38\129\88\0",
	12070, "\124\58\45\129\81\0\112\58\45\129\81\0\112\58\45\129\88\0\83\58\45\129\88\0\97\58\45\129\88\0",
	12231, "\124\58\52\129\81\0\112\58\52\129\81\0\112\58\52\129\88\0\83\58\52\129\88\0\97\58\52\129\88\0",
	12392, "\124\58\59\129\81\0\112\58\59\129\81\0\112\58\59\129\88\0\83\58\59\129\88\0\97\58\59\129\88\0",
	12553, "\124\58\66\129\81\0\112\58\66\129\81\0\112\58\66\129\88\0\83\58\66\129\88\0\97\58\66\129\88\0",
	12714, "\124\58\73\129\81\0\112\58\73\129\81\0\112\58\73\129\88\0\83\58\73\129\88\0\97\58\73\129\88\0",
	12875, "\125\60\129\103\0\113\60\129\103\0\113\60\129\104\0\84\60\129\104\0\98\60\129\104\0",
	13036, "\125\65\4\129\82\0\113\65\4\129\82\0\113\65\4\129\83\0\84\65\4\129\83\0\98\65\4\129\83\0",
	13197, "\125\65\20\129\81\0\113\65\20\129\81\0\113\65\20\129\88\0\84\65\20\129\88\0\98\65\20\129\88\0",
	13358, "\125\65\31\129\81\0\113\65\31\129\81\0\113\65\31\129\88\0\84\65\31\129\88\0\98\65\31\129\88\0",
	13518, "\125\65\38\129\81\0\113\65\38\129\81\0\113\65\38\129\88\0\84\65\38\129\88\0\98\65\38\129\88\0",
	13679, "\125\65\45\129\81\0\113\65\45\129\81\0\113\65\45\129\88\0\84\65\45\129\88\0\98\65\45\129\88\0",
	13840, "\125\65\52\129\81\0\113\65\52\129\81\0\113\65\52\129\88\0\84\65\52\129\88\0\98\65\52\129\88\0",
	14001, "\125\65\59\129\81\0\113\65\59\129\81\0\113\65\59\129\88\0\84\65\59\129\88\0\98\65\59\129\88\0",
	14162, "\125\65\66\129\81\0\113\65\66\129\81\0\113\65\66\129\88\0\84\65\66\129\88\0\98\65\66\129\88\0",
	14323, "\125\65\73\129\81\0\113\65\73\129\81\0\113\65\73\129\88\0\84\65\73\129\88\0\98\65\73\129\88\0",
	14484, "\126\67\129\105\0\114\67\129\105\0\114\67\129\106\0\85\67\129\106\0\99\67\129\106\0",
	14645, "\126\72\4\129\82\0\114\72\4\129\82\0\114\72\4\129\83\0\85\72\4\129\83\0\99\72\4\129\83\0",
	14806, "\126\72\20\129\81\0\114\72\20\129\81\0\114\72\20\129\88\0\85\72\20\129\88\0\99\72\20\129\88\0",
	14967, "\126\72\31\129\81\0\114\72\31\129\81\0\114\72\31\129\88\0\85\72\31\129\88\0\99\72\31\129\88\0",
	15128, "\126\72\38\129\81\0\114\72\38\129\81\0\114\72\38\129\88\0\85\72\38\129\88\0\99\72\38\129\88\0",
	15289, "\126\72\45\129\81\0\114\72\45\129\81\0\114\72\45\129\88\0\85\72\45\129\88\0\99\72\45\129\88\0",
	15450, "\126\72\52\129\81\0\114\72\52\129\81\0\114\72\52\129\88\0\85\72\52\129\88\0\99\72\52\129\88\0",
	15611, "\126\72\59\129\81\0\114\72\59\129\81\0\114\72\59\129\88\0\85\72\59\129\88\0\99\72\59\129\88\0",
	15772, "\126\72\66\129\81\0\114\72\66\129\81\0\114\72\66\129\88\0\85\72\66\129\88\0\99\72\66\129\88\0",
	15933, "\126\72\73\129\81\0\114\72\73\129\81\0\114\72\73\129\88\0\85\72\73\129\88\0\99\72\73\129\88\0",
	16093, "\116\5\129\105\0\104\5\129\105\0\104\5\129\106\0\75\5\129\106\0\89\5\129\106\0",
	17703, "\115\9\129\89\0\103\9\129\89\0\103\9\129\90\0\74\9\129\90\0\88\9\129\90\0",
	19312, "\115\10\129\89\0\103\10\129\89\0\103\10\129\90\0\74\10\129\90\0\88\10\129\90\0",
	20921, "\115\11\129\89\0\103\11\129\89\0\103\11\129\90\0\74\11\129\90\0\88\11\129\90\0",
	22531, "\115\12\129\89\0\103\12\129\89\0\103\12\129\90\0\74\12\129\90\0\88\12\129\90\0",
	24140, "\115\13\129\89\0\103\13\129\89\0\103\13\129\90\0\74\13\129\90\0\88\13\129\90\0",
	25750, "\115\14\129\89\0\103\14\129\89\0\103\14\129\90\0\74\14\129\90\0\88\14\129\90\0",
	27359, "\115\15\129\89\0\103\15\129\89\0\103\15\129\90\0\74\15\129\90\0\88\15\129\90\0",
	28968, "\115\16\129\89\0\103\16\129\89\0\103\16\129\90\0\74\16\129\90\0\88\16\129\90\0",
	30578, "\115\17\129\89\0\103\17\129\89\0\103\17\129\90\0\74\17\129\90\0\88\17\129\90\0",
	32187, "\118\21\129\89\0\106\21\129\89\0\106\21\129\90\0\77\21\129\90\0\91\21\129\90\0",
	33796, "\118\24\129\3\129\79\0\106\24\129\3\129\79\0\106\24\129\3\129\80\0\77\24\129\3\129\80\0\91\24\129\3\129\80\0",
	35406, "\118\24\129\5\129\84\0\106\24\129\5\129\84\0\106\24\129\5\129\85\0\77\24\129\5\129\85\0\91\24\129\5\129\85\0",
	37015, "\118\24\129\7\129\86\0\106\24\129\7\129\86\0\106\24\129\7\129\87\0\77\24\129\7\129\87\0\91\24\129\7\129\87\0",
	38624, "\118\24\129\9\129\86\0\106\24\129\9\129\86\0\106\24\129\9\129\87\0\77\24\129\9\129\87\0\91\24\129\9\129\87\0",
	40234, "\118\24\129\11\129\99\0\106\24\129\11\129\99\0\106\24\129\11\129\100\0\77\24\129\11\129\100\0\91\24\129\11\129\100\0",
	41843, "\118\24\129\13\129\99\0\106\24\129\13\129\99\0\106\24\129\13\129\100\0\77\24\129\13\129\100\0\91\24\129\13\129\100\0",
	43452, "\118\24\129\15\129\103\0\106\24\129\15\129\103\0\106\24\129\15\129\104\0\77\24\129\15\129\104\0\91\24\129\15\129\104\0",
	45062, "\118\24\129\17\129\103\0\106\24\129\17\129\103\0\106\24\129\17\129\104\0\77\24\129\17\129\104\0\91\24\129\17\129\104\0",
	46671, "\118\24\129\19\129\105\0\106\24\129\19\129\105\0\106\24\129\19\129\106\0\77\24\129\19\129\106\0\91\24\129\19\129\106\0",
	48280, "\119\26\129\89\0\107\26\129\89\0\107\26\129\90\0\78\26\129\90\0\92\26\129\90\0",
	49890, "\119\29\129\3\129\79\0\107\29\129\3\129\79\0\107\29\129\3\129\80\0\78\29\129\3\129\80\0\92\29\129\3\129\80\0",
	51499, "\119\29\129\5\129\84\0\107\29\129\5\129\84\0\107\29\129\5\129\85\0\78\29\129\5\129\85\0\92\29\129\5\129\85\0",
	53108, "\119\29\129\7\129\86\0\107\29\129\7\129\86\0\107\29\129\7\129\87\0\78\29\129\7\129\87\0\92\29\129\7\129\87\0",
	54718, "\119\29\129\9\129\86\0\107\29\129\9\129\86\0\107\29\129\9\129\87\0\78\29\129\9\129\87\0\92\29\129\9\129\87\0",
	56327, "\119\29\129\11\129\99\0\107\29\129\11\129\99\0\107\29\129\11\129\100\0\78\29\129\11\129\100\0\92\29\129\11\129\100\0",
	57936, "\119\29\129\13\129\99\0\107\29\129\13\129\99\0\107\29\129\13\129\100\0\78\29\129\13\129\100\0\92\29\129\13\129\100\0",
	59546, "\119\29\129\15\129\103\0\107\29\129\15\129\103\0\107\29\129\15\129\104\0\78\29\129\15\129\104\0\92\29\129\15\129\104\0",
	61155, "\119\29\129\17\129\103\0\107\29\129\17\129\103\0\107\29\129\17\129\104\0\78\29\129\17\129\104\0\92\29\129\17\129\104\0",
	62764, "\119\29\129\19\129\105\0\107\29\129\19\129\105\0\107\29\129\19\129\106\0\78\29\129\19\129\106\0\92\29\129\19\129\106\0",
	64374, "\121\33\129\95\0\109\33\129\95\0\109\33\129\96\0\80\33\129\96\0\94\33\129\96\0",
	65983, "\121\36\129\3\129\79\0\109\36\129\3\129\79\0\109\36\129\3\129\80\0\80\36\129\3\129\80\0\94\36\129\3\129\80\0",
	67592, "\121\36\129\5\129\84\0\109\36\129\5\129\84\0\109\36\129\5\129\85\0\80\36\129\5\129\85\0\94\36\129\5\129\85\0",
	69202, "\121\36\129\7\129\86\0\109\36\129\7\129\86\0\109\36\129\7\129\87\0\80\36\129\7\129\87\0\94\36\129\7\129\87\0",
	70811, "\121\36\129\9\129\86\0\109\36\129\9\129\86\0\109\36\129\9\129\87\0\80\36\129\9\129\87\0\94\36\129\9\129\87\0",
	72420, "\121\36\129\11\129\99\0\109\36\129\11\129\99\0\109\36\129\11\129\100\0\80\36\129\11\129\100\0\94\36\129\11\129\100\0",
	74030, "\121\36\129\13\129\99\0\109\36\129\13\129\99\0\109\36\129\13\129\100\0\80\36\129\13\129\100\0\94\36\129\13\129\100\0",
	75639, "\121\36\129\15\129\103\0\109\36\129\15\129\103\0\109\36\129\15\129\104\0\80\36\129\15\129\104\0\94\36\129\15\129\104\0",
	77249, "\121\36\129\17\129\103\0\109\36\129\17\129\103\0\109\36\129\17\129\104\0\80\36\129\17\129\104\0\94\36\129\17\129\104\0",
	78858, "\121\36\129\19\129\105\0\109\36\129\19\129\105\0\109\36\129\19\129\106\0\80\36\129\19\129\106\0\94\36\129\19\129\106\0",
	80467, "\122\40\129\101\0\110\40\129\101\0\110\40\129\102\0\81\40\129\102\0\95\40\129\102\0",
	82077, "\122\43\129\3\129\79\0\110\43\129\3\129\79\0\110\43\129\3\129\80\0\81\43\129\3\129\80\0\95\43\129\3\129\80\0",
	83686, "\122\43\129\5\129\84\0\110\43\129\5\129\84\0\110\43\129\5\129\85\0\81\43\129\5\129\85\0\95\43\129\5\129\85\0",
	85295, "\122\43\129\7\129\86\0\110\43\129\7\129\86\0\110\43\129\7\129\87\0\81\43\129\7\129\87\0\95\43\129\7\129\87\0",
	86905, "\122\43\129\9\129\86\0\110\43\129\9\129\86\0\110\43\129\9\129\87\0\81\43\129\9\129\87\0\95\43\129\9\129\87\0",
	88514, "\122\43\129\11\129\99\0\110\43\129\11\129\99\0\110\43\129\11\129\100\0\81\43\129\11\129\100\0\95\43\129\11\129\100\0",
	90123, "\122\43\129\13\129\99\0\110\43\129\13\129\99\0\110\43\129\13\129\100\0\81\43\129\13\129\100\0\95\43\129\13\129\100\0",
	91733, "\122\43\129\15\129\103\0\110\43\129\15\129\103\0\110\43\129\15\129\104\0\81\43\129\15\129\104\0\95\43\129\15\129\104\0",
	93342, "\122\43\129\17\129\103\0\110\43\129\17\129\103\0\110\43\129\17\129\104\0\81\43\129\17\129\104\0\95\43\129\17\129\104\0",
	94951, "\122\43\129\19\129\105\0\110\43\129\19\129\105\0\110\43\129\19\129\106\0\81\43\129\19\129\106\0\95\43\129\19\129\106\0",
	96561, "\123\47\129\101\0\111\47\129\101\0\111\47\129\102\0\82\47\129\102\0\96\47\129\102\0",
	98170, "\123\50\129\3\129\79\0\111\50\129\3\129\79\0\111\50\129\3\129\80\0\82\50\129\3\129\80\0\96\50\129\3\129\80\0",
	99779, "\123\50\129\5\129\84\0\111\50\129\5\129\84\0\111\50\129\5\129\85\0\82\50\129\5\129\85\0\96\50\129\5\129\85\0",
	101389, "\123\50\129\7\129\86\0\111\50\129\7\129\86\0\111\50\129\7\129\87\0\82\50\129\7\129\87\0\96\50\129\7\129\87\0",
	102998, "\123\50\129\9\129\86\0\111\50\129\9\129\86\0\111\50\129\9\129\87\0\82\50\129\9\129\87\0\96\50\129\9\129\87\0",
	104607, "\123\50\129\11\129\99\0\111\50\129\11\129\99\0\111\50\129\11\129\100\0\82\50\129\11\129\100\0\96\50\129\11\129\100\0",
	106217, "\123\50\129\13\129\99\0\111\50\129\13\129\99\0\111\50\129\13\129\100\0\82\50\129\13\129\100\0\96\50\129\13\129\100\0",
	107826, "\123\50\129\15\129\103\0\111\50\129\15\129\103\0\111\50\129\15\129\104\0\82\50\129\15\129\104\0\96\50\129\15\129\104\0",
	109435, "\123\50\129\17\129\103\0\111\50\129\17\129\103\0\111\50\129\17\129\104\0\82\50\129\17\129\104\0\96\50\129\17\129\104\0",
	111045, "\123\50\129\19\129\105\0\111\50\129\19\129\105\0\111\50\129\19\129\106\0\82\50\129\19\129\106\0\96\50\129\19\129\106\0",
	112654, "\124\54\129\101\0\112\54\129\101\0\112\54\129\102\0\83\54\129\102\0\97\54\129\102\0",
	114263, "\124\57\129\3\129\79\0\112\57\129\3\129\79\0\112\57\129\3\129\80\0\83\57\129\3\129\80\0\97\57\129\3\129\80\0",
	115873, "\124\57\129\5\129\84\0\112\57\129\5\129\84\0\112\57\129\5\129\85\0\83\57\129\5\129\85\0\97\57\129\5\129\85\0",
	117482, "\124\57\129\7\129\86\0\112\57\129\7\129\86\0\112\57\129\7\129\87\0\83\57\129\7\129\87\0\97\57\129\7\129\87\0",
	119091, "\124\57\129\9\129\86\0\112\57\129\9\129\86\0\112\57\129\9\129\87\0\83\57\129\9\129\87\0\97\57\129\9\129\87\0",
	120701, "\124\57\129\11\129\99\0\112\57\129\11\129\99\0\112\57\129\11\129\100\0\83\57\129\11\129\100\0\97\57\129\11\129\100\0",
	122310, "\124\57\129\13\129\99\0\112\57\129\13\129\99\0\112\57\129\13\129\100\0\83\57\129\13\129\100\0\97\57\129\13\129\100\0",
	123919, "\124\57\129\15\129\103\0\112\57\129\15\129\103\0\112\57\129\15\129\104\0\83\57\129\15\129\104\0\97\57\129\15\129\104\0",
	125529, "\124\57\129\17\129\103\0\112\57\129\17\129\103\0\112\57\129\17\129\104\0\83\57\129\17\129\104\0\97\57\129\17\129\104\0",
	127138, "\124\57\129\19\129\105\0\112\57\129\19\129\105\0\112\57\129\19\129\106\0\83\57\129\19\129\106\0\97\57\129\19\129\106\0",
	128748, "\125\61\129\101\0\113\61\129\101\0\113\61\129\102\0\84\61\129\102\0\98\61\129\102\0",
	130357, "\125\64\129\3\129\79\0\113\64\129\3\129\79\0\113\64\129\3\129\80\0\84\64\129\3\129\80\0\98\64\129\3\129\80\0",
	131966, "\125\64\129\5\129\84\0\113\64\129\5\129\84\0\113\64\129\5\129\85\0\84\64\129\5\129\85\0\98\64\129\5\129\85\0",
	133576, "\125\64\129\7\129\86\0\113\64\129\7\129\86\0\113\64\129\7\129\87\0\84\64\129\7\129\87\0\98\64\129\7\129\87\0",
	135185, "\125\64\129\9\129\86\0\113\64\129\9\129\86\0\113\64\129\9\129\87\0\84\64\129\9\129\87\0\98\64\129\9\129\87\0",
	136794, "\125\64\129\11\129\99\0\113\64\129\11\129\99\0\113\64\129\11\129\100\0\84\64\129\11\129\100\0\98\64\129\11\129\100\0",
	138404, "\125\64\129\13\129\99\0\113\64\129\13\129\99\0\113\64\129\13\129\100\0\84\64\129\13\129\100\0\98\64\129\13\129\100\0",
	140013, "\125\64\129\15\129\103\0\113\64\129\15\129\103\0\113\64\129\15\129\104\0\84\64\129\15\129\104\0\98\64\129\15\129\104\0",
	141622, "\125\64\129\17\129\103\0\113\64\129\17\129\103\0\113\64\129\17\129\104\0\84\64\129\17\129\104\0\98\64\129\17\129\104\0",
	143232, "\125\64\129\19\129\105\0\113\64\129\19\129\105\0\113\64\129\19\129\106\0\84\64\129\19\129\106\0\98\64\129\19\129\106\0",
	144841, "\126\68\129\107\0\114\68\129\107\0\114\68\129\108\0\85\68\129\108\0\99\68\129\108\0",
	146450, "\126\71\129\3\129\79\0\114\71\129\3\129\79\0\114\71\129\3\129\80\0\85\71\129\3\129\80\0\99\71\129\3\129\80\0",
	148060, "\126\71\129\5\129\84\0\114\71\129\5\129\84\0\114\71\129\5\129\85\0\85\71\129\5\129\85\0\99\71\129\5\129\85\0",
	149669, "\126\71\129\7\129\86\0\114\71\129\7\129\86\0\114\71\129\7\129\87\0\85\71\129\7\129\87\0\99\71\129\7\129\87\0",
	151278, "\126\71\129\9\129\86\0\114\71\129\9\129\86\0\114\71\129\9\129\87\0\85\71\129\9\129\87\0\99\71\129\9\129\87\0",
	152888, "\126\71\129\11\129\99\0\114\71\129\11\129\99\0\114\71\129\11\129\100\0\85\71\129\11\129\100\0\99\71\129\11\129\100\0",
	154497, "\126\71\129\13\129\99\0\114\71\129\13\129\99\0\114\71\129\13\129\100\0\85\71\129\13\129\100\0\99\71\129\13\129\100\0",
	156106, "\126\71\129\15\129\103\0\114\71\129\15\129\103\0\114\71\129\15\129\104\0\85\71\129\15\129\104\0\99\71\129\15\129\104\0",
	157716, "\126\71\129\17\129\103\0\114\71\129\17\129\103\0\114\71\129\17\129\104\0\85\71\129\17\129\104\0\99\71\129\17\129\104\0",
	159325, "\126\71\129\19\129\105\0\114\71\129\19\129\105\0\114\71\129\19\129\106\0\85\71\129\19\129\106\0\99\71\129\19\129\106\0",
	160934, "\117\6\129\107\0\105\6\129\107\0\105\6\129\108\0\76\6\129\108\0\90\6\129\108\0",
	177028, "\117\8\129\4\129\105\0\105\8\129\4\129\105\0\105\8\129\4\129\106\0\76\8\129\4\129\106\0\90\8\129\4\129\106\0",
	193121, "\117\8\129\6\129\89\0\105\8\129\6\129\89\0\105\8\129\6\129\90\0\76\8\129\6\129\90\0\90\8\129\6\129\90\0",
	209215, "\117\8\129\8\129\89\0\105\8\129\8\129\89\0\105\8\129\8\129\90\0\76\8\129\8\129\90\0\90\8\129\8\129\90\0",
	225308, "\117\8\129\10\129\95\0\105\8\129\10\129\95\0\105\8\129\10\129\96\0\76\8\129\10\129\96\0\90\8\129\10\129\96\0",
	241402, "\117\8\129\12\129\101\0\105\8\129\12\129\101\0\105\8\129\12\129\102\0\76\8\129\12\129\102\0\90\8\129\12\129\102\0",
	257495, "\117\8\129\14\129\101\0\105\8\129\14\129\101\0\105\8\129\14\129\102\0\76\8\129\14\129\102\0\90\8\129\14\129\102\0",
	273588, "\117\8\129\16\129\101\0\105\8\129\16\129\101\0\105\8\129\16\129\102\0\76\8\129\16\129\102\0\90\8\129\16\129\102\0",
	289682, "\117\8\129\18\129\101\0\105\8\129\18\129\101\0\105\8\129\18\129\102\0\76\8\129\18\129\102\0\90\8\129\18\129\102\0",
	305775, "\117\8\129\20\129\107\0\105\8\129\20\129\107\0\105\8\129\20\129\108\0\76\8\129\20\129\108\0\90\8\129\20\129\108\0",
	321869, "\118\22\129\91\0\106\22\129\91\0\106\22\129\92\0\77\22\129\92\0\91\22\129\92\0",
	337962, "\118\23\129\4\129\105\0\106\23\129\4\129\105\0\106\23\129\4\129\106\0\77\23\129\4\129\106\0\91\23\129\4\129\106\0",
	354056, "\118\23\129\6\129\89\0\106\23\129\6\129\89\0\106\23\129\6\129\90\0\77\23\129\6\129\90\0\91\23\129\6\129\90\0",
	370149, "\118\23\129\8\129\89\0\106\23\129\8\129\89\0\106\23\129\8\129\90\0\77\23\129\8\129\90\0\91\23\129\8\129\90\0",
	386243, "\118\23\129\10\129\95\0\106\23\129\10\129\95\0\106\23\129\10\129\96\0\77\23\129\10\129\96\0\91\23\129\10\129\96\0",
	402336, "\118\23\129\12\129\101\0\106\23\129\12\129\101\0\106\23\129\12\129\102\0\77\23\129\12\129\102\0\91\23\129\12\129\102\0",
	418429, "\118\23\129\14\129\101\0\106\23\129\14\129\101\0\106\23\129\14\129\102\0\77\23\129\14\129\102\0\91\23\129\14\129\102\0",
	434523, "\118\23\129\16\129\101\0\106\23\129\16\129\101\0\106\23\129\16\129\102\0\77\23\129\16\129\102\0\91\23\129\16\129\102\0",
	450616, "\118\23\129\18\129\101\0\106\23\129\18\129\101\0\106\23\129\18\129\102\0\77\23\129\18\129\102\0\91\23\129\18\129\102\0",
	466710, "\118\23\129\20\129\107\0\106\23\129\20\129\107\0\106\23\129\20\129\108\0\77\23\129\20\129\108\0\91\23\129\20\129\108\0",
	482803, "\119\27\129\93\0\107\27\129\93\0\107\27\129\94\0\78\27\129\94\0\92\27\129\94\0",
	498897, "\119\28\129\4\129\105\0\107\28\129\4\129\105\0\107\28\129\4\129\106\0\78\28\129\4\129\106\0\92\28\129\4\129\106\0",
	514990, "\119\28\129\6\129\89\0\107\28\129\6\129\89\0\107\28\129\6\129\90\0\78\28\129\6\129\90\0\92\28\129\6\129\90\0",
	531084, "\119\28\129\8\129\89\0\107\28\129\8\129\89\0\107\28\129\8\129\90\0\78\28\129\8\129\90\0\92\28\129\8\129\90\0",
	547177, "\119\28\129\10\129\95\0\107\28\129\10\129\95\0\107\28\129\10\129\96\0\78\28\129\10\129\96\0\92\28\129\10\129\96\0",
	563270, "\119\28\129\12\129\101\0\107\28\129\12\129\101\0\107\28\129\12\129\102\0\78\28\129\12\129\102\0\92\28\129\12\129\102\0",
	579364, "\119\28\129\14\129\101\0\107\28\129\14\129\101\0\107\28\129\14\129\102\0\78\28\129\14\129\102\0\92\28\129\14\129\102\0",
	595457, "\119\28\129\16\129\101\0\107\28\129\16\129\101\0\107\28\129\16\129\102\0\78\28\129\16\129\102\0\92\28\129\16\129\102\0",
	611551, "\119\28\129\18\129\101\0\107\28\129\18\129\101\0\107\28\129\18\129\102\0\78\28\129\18\129\102\0\92\28\129\18\129\102\0",
	627644, "\119\28\129\20\129\107\0\107\28\129\20\129\107\0\107\28\129\20\129\108\0\78\28\129\20\129\108\0\92\28\129\20\129\108\0",
	643738, "\120\34\129\93\0\109\34\129\93\0\109\34\129\94\0\79\34\129\94\0\93\34\129\94\0",
	659831, "\120\35\129\4\129\105\0\109\35\129\4\129\105\0\109\35\129\4\129\106\0\79\35\129\4\129\106\0\93\35\129\4\129\106\0",
	675924, "\120\35\129\6\129\89\0\109\35\129\6\129\89\0\109\35\129\6\129\90\0\79\35\129\6\129\90\0\93\35\129\6\129\90\0",
	692018, "\120\35\129\8\129\89\0\109\35\129\8\129\89\0\109\35\129\8\129\90\0\79\35\129\8\129\90\0\93\35\129\8\129\90\0",
	708111, "\120\35\129\10\129\95\0\109\35\129\10\129\95\0\109\35\129\10\129\96\0\79\35\129\10\129\96\0\93\35\129\10\129\96\0",
	724205, "\120\35\129\12\129\101\0\109\35\129\12\129\101\0\109\35\129\12\129\102\0\79\35\129\12\129\102\0\93\35\129\12\129\102\0",
	740298, "\120\35\129\14\129\101\0\109\35\129\14\129\101\0\109\35\129\14\129\102\0\79\35\129\14\129\102\0\93\35\129\14\129\102\0",
	756392, "\120\35\129\16\129\101\0\109\35\129\16\129\101\0\109\35\129\16\129\102\0\79\35\129\16\129\102\0\93\35\129\16\129\102\0",
	772485, "\120\35\129\18\129\101\0\109\35\129\18\129\101\0\109\35\129\18\129\102\0\79\35\129\18\129\102\0\93\35\129\18\129\102\0",
	788579, "\120\35\129\20\129\107\0\109\35\129\20\129\107\0\109\35\129\20\129\108\0\79\35\129\20\129\108\0\93\35\129\20\129\108\0",
	804672, "\122\41\129\97\0\110\41\129\97\0\110\41\129\98\0\81\41\129\98\0\95\41\129\98\0",
	820765, "\127\129\109\41\129\97\0\129\1\129\109\41\129\97\0\129\1\129\109\41\129\98\0\86\129\109\41\129\98\0\95\41\129\98\0",
}

ordinals = {
	{L"1st", nil, nil},
	{L"2nd", nil, nil},
	{L"3rd", nil, nil},
	{L"4th", nil, nil},
	{L"5th", nil, nil},
	{L"6th", nil, nil},
	{L"7th", nil, nil},
	{L"8th", nil, nil},
	{L"9th", nil, nil},
	{L"10th", nil, nil},
	{L"11th", nil, nil},
	{L"12th", nil, nil},
	{L"13th", nil, nil},
	{L"14th", nil, nil},
	{L"15th", nil, nil},
	{L"16th", nil, nil},
	{L"17th", nil, nil},
	{L"18th", nil, nil},
	{L"19th", nil, nil},
	{L"20th", nil, nil},
}

